#include <akonadi_includes.h>

#include <smoke.h>
#include <akonadi_smoke.h>

namespace __smokeakonadi {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //Akonadi::AgentBase
      switch(to) {
        case 62: return (void*)(QObject*)(Akonadi::AgentBase*)xptr;
        case 42: return (void*)(QDBusContext*)(Akonadi::AgentBase*)xptr;
        case 1: return (void*)(Akonadi::AgentBase*)xptr;
        default: return xptr;
      }
    case 2:   //Akonadi::AgentBase::Observer
      switch(to) {
        case 2: return (void*)(Akonadi::AgentBase::Observer*)xptr;
        case 3: return (void*)(Akonadi::AgentBase::ObserverV2*)(Akonadi::AgentBase::Observer*)xptr;
        default: return xptr;
      }
    case 3:   //Akonadi::AgentBase::ObserverV2
      switch(to) {
        case 2: return (void*)(Akonadi::AgentBase::Observer*)(Akonadi::AgentBase::ObserverV2*)xptr;
        case 3: return (void*)(Akonadi::AgentBase::ObserverV2*)xptr;
        default: return xptr;
      }
    case 4:   //Akonadi::AgentBasePrivate
      switch(to) {
        case 4: return (void*)(Akonadi::AgentBasePrivate*)xptr;
        default: return xptr;
      }
    case 5:   //Akonadi::AgentFilterProxyModel
      switch(to) {
        case 70: return (void*)(QSortFilterProxyModel*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 35: return (void*)(QAbstractProxyModel*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 33: return (void*)(QAbstractItemModel*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 62: return (void*)(QObject*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 5: return (void*)(Akonadi::AgentFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 6:   //Akonadi::AgentInstance
      switch(to) {
        case 6: return (void*)(Akonadi::AgentInstance*)xptr;
        default: return xptr;
      }
    case 7:   //Akonadi::AgentInstanceCreateJob
      switch(to) {
        case 29: return (void*)(KJob*)(Akonadi::AgentInstanceCreateJob*)xptr;
        case 62: return (void*)(QObject*)(Akonadi::AgentInstanceCreateJob*)xptr;
        case 7: return (void*)(Akonadi::AgentInstanceCreateJob*)xptr;
        default: return xptr;
      }
    case 8:   //Akonadi::AgentInstanceModel
      switch(to) {
        case 33: return (void*)(QAbstractItemModel*)(Akonadi::AgentInstanceModel*)xptr;
        case 62: return (void*)(QObject*)(Akonadi::AgentInstanceModel*)xptr;
        case 8: return (void*)(Akonadi::AgentInstanceModel*)xptr;
        default: return xptr;
      }
    case 9:   //Akonadi::AgentInstanceWidget
      switch(to) {
        case 76: return (void*)(QWidget*)(Akonadi::AgentInstanceWidget*)xptr;
        case 62: return (void*)(QObject*)(Akonadi::AgentInstanceWidget*)xptr;
        case 9: return (void*)(Akonadi::AgentInstanceWidget*)xptr;
        default: return xptr;
      }
    case 10:   //Akonadi::AgentManager
      switch(to) {
        case 62: return (void*)(QObject*)(Akonadi::AgentManager*)xptr;
        case 10: return (void*)(Akonadi::AgentManager*)xptr;
        default: return xptr;
      }
    case 11:   //Akonadi::AgentType
      switch(to) {
        case 11: return (void*)(Akonadi::AgentType*)xptr;
        default: return xptr;
      }
    case 12:   //Akonadi::AgentTypeDialog
      switch(to) {
        case 28: return (void*)(KDialog*)(Akonadi::AgentTypeDialog*)xptr;
        case 43: return (void*)(QDialog*)(Akonadi::AgentTypeDialog*)xptr;
        case 76: return (void*)(QWidget*)(Akonadi::AgentTypeDialog*)xptr;
        case 62: return (void*)(QObject*)(Akonadi::AgentTypeDialog*)xptr;
        case 12: return (void*)(Akonadi::AgentTypeDialog*)xptr;
        default: return xptr;
      }
    case 13:   //Akonadi::AgentTypeModel
      switch(to) {
        case 33: return (void*)(QAbstractItemModel*)(Akonadi::AgentTypeModel*)xptr;
        case 62: return (void*)(QObject*)(Akonadi::AgentTypeModel*)xptr;
        case 13: return (void*)(Akonadi::AgentTypeModel*)xptr;
        default: return xptr;
      }
    case 14:   //Akonadi::AgentTypeWidget
      switch(to) {
        case 76: return (void*)(QWidget*)(Akonadi::AgentTypeWidget*)xptr;
        case 62: return (void*)(QObject*)(Akonadi::AgentTypeWidget*)xptr;
        case 14: return (void*)(Akonadi::AgentTypeWidget*)xptr;
        default: return xptr;
      }
    case 15:   //Akonadi::Attribute
      switch(to) {
        case 15: return (void*)(Akonadi::Attribute*)xptr;
        default: return xptr;
      }
    case 16:   //Akonadi::AttributeFactory
      switch(to) {
        case 16: return (void*)(Akonadi::AttributeFactory*)xptr;
        default: return xptr;
      }
    case 17:   //Akonadi::CachePolicy
      switch(to) {
        case 17: return (void*)(Akonadi::CachePolicy*)xptr;
        default: return xptr;
      }
    case 18:   //Akonadi::ChangeRecorder
      switch(to) {
        case 18: return (void*)(Akonadi::ChangeRecorder*)xptr;
        default: return xptr;
      }
    case 19:   //Akonadi::Collection
      switch(to) {
        case 21: return (void*)(Akonadi::Entity*)(Akonadi::Collection*)xptr;
        case 19: return (void*)(Akonadi::Collection*)xptr;
        default: return xptr;
      }
    case 20:   //Akonadi::CollectionStatistics
      switch(to) {
        case 20: return (void*)(Akonadi::CollectionStatistics*)xptr;
        default: return xptr;
      }
    case 21:   //Akonadi::Entity
      switch(to) {
        case 21: return (void*)(Akonadi::Entity*)xptr;
        case 19: return (void*)(Akonadi::Collection*)(Akonadi::Entity*)xptr;
        default: return xptr;
      }
    case 22:   //Akonadi::EntityPrivate
      switch(to) {
        case 22: return (void*)(Akonadi::EntityPrivate*)xptr;
        default: return xptr;
      }
    case 23:   //Akonadi::Exception
      switch(to) {
        case 23: return (void*)(Akonadi::Exception*)xptr;
        case 25: return (void*)(Akonadi::PayloadException*)(Akonadi::Exception*)xptr;
        default: return xptr;
      }
    case 24:   //Akonadi::Item
      switch(to) {
        case 24: return (void*)(Akonadi::Item*)xptr;
        default: return xptr;
      }
    case 25:   //Akonadi::PayloadException
      switch(to) {
        case 23: return (void*)(Akonadi::Exception*)(Akonadi::PayloadException*)xptr;
        case 25: return (void*)(Akonadi::PayloadException*)xptr;
        default: return xptr;
      }
    case 26:   //KCharsets
      switch(to) {
        case 26: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 27:   //KComponentData
      switch(to) {
        case 27: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 28:   //KDialog
      switch(to) {
        case 43: return (void*)(QDialog*)(KDialog*)xptr;
        case 76: return (void*)(QWidget*)(KDialog*)xptr;
        case 62: return (void*)(QObject*)(KDialog*)xptr;
        case 28: return (void*)(KDialog*)xptr;
        case 12: return (void*)(Akonadi::AgentTypeDialog*)(KDialog*)xptr;
        default: return xptr;
      }
    case 29:   //KJob
      switch(to) {
        case 62: return (void*)(QObject*)(KJob*)xptr;
        case 29: return (void*)(KJob*)xptr;
        case 7: return (void*)(Akonadi::AgentInstanceCreateJob*)(KJob*)xptr;
        default: return xptr;
      }
    case 30:   //KLocale
      switch(to) {
        case 30: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 31:   //KStandardDirs
      switch(to) {
        case 31: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 32:   //KUrl
      switch(to) {
        case 32: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 33:   //QAbstractItemModel
      switch(to) {
        case 62: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 33: return (void*)(QAbstractItemModel*)xptr;
        case 8: return (void*)(Akonadi::AgentInstanceModel*)(QAbstractItemModel*)xptr;
        case 13: return (void*)(Akonadi::AgentTypeModel*)(QAbstractItemModel*)xptr;
        case 5: return (void*)(Akonadi::AgentFilterProxyModel*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 34:   //QAbstractItemView
      switch(to) {
        case 34: return (void*)(QAbstractItemView*)xptr;
        default: return xptr;
      }
    case 35:   //QAbstractProxyModel
      switch(to) {
        case 33: return (void*)(QAbstractItemModel*)(QAbstractProxyModel*)xptr;
        case 62: return (void*)(QObject*)(QAbstractProxyModel*)xptr;
        case 35: return (void*)(QAbstractProxyModel*)xptr;
        case 5: return (void*)(Akonadi::AgentFilterProxyModel*)(QAbstractProxyModel*)xptr;
        default: return xptr;
      }
    case 36:   //QActionEvent
      switch(to) {
        case 36: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 37:   //QBool
      switch(to) {
        case 37: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 38:   //QByteArray
      switch(to) {
        case 38: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 39:   //QChildEvent
      switch(to) {
        case 48: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 39: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 40:   //QCloseEvent
      switch(to) {
        case 40: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QContextMenuEvent
      switch(to) {
        case 41: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 42:   //QDBusContext
      switch(to) {
        case 42: return (void*)(QDBusContext*)xptr;
        case 1: return (void*)(Akonadi::AgentBase*)(QDBusContext*)xptr;
        default: return xptr;
      }
    case 43:   //QDialog
      switch(to) {
        case 76: return (void*)(QWidget*)(QDialog*)xptr;
        case 62: return (void*)(QObject*)(QDialog*)xptr;
        case 43: return (void*)(QDialog*)xptr;
        case 12: return (void*)(Akonadi::AgentTypeDialog*)(QDialog*)xptr;
        default: return xptr;
      }
    case 44:   //QDragEnterEvent
      switch(to) {
        case 44: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QDragLeaveEvent
      switch(to) {
        case 45: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QDragMoveEvent
      switch(to) {
        case 46: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 47:   //QDropEvent
      switch(to) {
        case 47: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 48:   //QEvent
      switch(to) {
        case 48: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 49:   //QFocusEvent
      switch(to) {
        case 49: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 50:   //QFont
      switch(to) {
        case 50: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 52:   //QHideEvent
      switch(to) {
        case 52: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 53:   //QIcon
      switch(to) {
        case 53: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 54:   //QInputMethodEvent
      switch(to) {
        case 54: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 55:   //QItemSelection
      switch(to) {
        case 55: return (void*)(QItemSelection*)xptr;
        default: return xptr;
      }
    case 56:   //QKeyEvent
      switch(to) {
        case 56: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 57:   //QMetaObject
      switch(to) {
        case 57: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 58:   //QMimeData
      switch(to) {
        case 58: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 59:   //QModelIndex
      switch(to) {
        case 59: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 60:   //QMouseEvent
      switch(to) {
        case 60: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 61:   //QMoveEvent
      switch(to) {
        case 61: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 62:   //QObject
      switch(to) {
        case 62: return (void*)(QObject*)xptr;
        case 1: return (void*)(Akonadi::AgentBase*)(QObject*)xptr;
        case 8: return (void*)(Akonadi::AgentInstanceModel*)(QObject*)xptr;
        case 14: return (void*)(Akonadi::AgentTypeWidget*)(QObject*)xptr;
        case 10: return (void*)(Akonadi::AgentManager*)(QObject*)xptr;
        case 9: return (void*)(Akonadi::AgentInstanceWidget*)(QObject*)xptr;
        case 13: return (void*)(Akonadi::AgentTypeModel*)(QObject*)xptr;
        case 7: return (void*)(Akonadi::AgentInstanceCreateJob*)(QObject*)xptr;
        case 12: return (void*)(Akonadi::AgentTypeDialog*)(QObject*)xptr;
        case 5: return (void*)(Akonadi::AgentFilterProxyModel*)(QObject*)xptr;
        default: return xptr;
      }
    case 63:   //QPaintEngine
      switch(to) {
        case 63: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 64:   //QPaintEvent
      switch(to) {
        case 64: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 65:   //QPalette
      switch(to) {
        case 65: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 66:   //QRegExp
      switch(to) {
        case 66: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 67:   //QResizeEvent
      switch(to) {
        case 67: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 68:   //QShowEvent
      switch(to) {
        case 68: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 69:   //QSize
      switch(to) {
        case 69: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 70:   //QSortFilterProxyModel
      switch(to) {
        case 35: return (void*)(QAbstractProxyModel*)(QSortFilterProxyModel*)xptr;
        case 33: return (void*)(QAbstractItemModel*)(QSortFilterProxyModel*)xptr;
        case 62: return (void*)(QObject*)(QSortFilterProxyModel*)xptr;
        case 70: return (void*)(QSortFilterProxyModel*)xptr;
        case 5: return (void*)(Akonadi::AgentFilterProxyModel*)(QSortFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 71:   //QStyle
      switch(to) {
        case 71: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 72:   //QTabletEvent
      switch(to) {
        case 72: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 73:   //QTimerEvent
      switch(to) {
        case 48: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 73: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 74:   //QVariant
      switch(to) {
        case 74: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 75:   //QWheelEvent
      switch(to) {
        case 75: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 76:   //QWidget
      switch(to) {
        case 62: return (void*)(QObject*)(QWidget*)xptr;
        case 76: return (void*)(QWidget*)xptr;
        case 14: return (void*)(Akonadi::AgentTypeWidget*)(QWidget*)xptr;
        case 9: return (void*)(Akonadi::AgentInstanceWidget*)(QWidget*)xptr;
        case 12: return (void*)(Akonadi::AgentTypeDialog*)(QWidget*)xptr;
        default: return xptr;
      }
    case 77:   //boost::exception
      switch(to) {
        case 77: return (void*)(boost::exception*)xptr;
        default: return xptr;
      }
    case 78:   //boost::exception_detail::large_size
      switch(to) {
        case 78: return (void*)(boost::exception_detail::large_size*)xptr;
        default: return xptr;
      }
    case 79:   //boost::exception_detail::small_size
      switch(to) {
        case 79: return (void*)(boost::exception_detail::small_size*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    62, 42, 0,	// 1: QObject, QDBusContext
    2, 0,	// 4: Akonadi::AgentBase::Observer
    70, 0,	// 6: QSortFilterProxyModel
    29, 0,	// 8: KJob
    33, 0,	// 10: QAbstractItemModel
    76, 0,	// 12: QWidget
    62, 0,	// 14: QObject
    28, 0,	// 16: KDialog
    21, 0,	// 18: Akonadi::Entity
    23, 0,	// 20: Akonadi::Exception
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentInstanceModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Collection(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Entity(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentInstance(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentTypeModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Akonadi__AgentBase(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentBase__Observer(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentBase__ObserverV2(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentFilterProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstance(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstanceCreateJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstanceModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstanceWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentType(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentTypeDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentTypeModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentTypeWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Attribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AttributeFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CachePolicy(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Collection(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Entity(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Exception(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__PayloadException(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "Akonadi::AgentBase", false, 1, xcall_Akonadi__AgentBase, xenum_Akonadi__AgentBase, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentBase) },	//1
    { "Akonadi::AgentBase::Observer", false, 0, xcall_Akonadi__AgentBase__Observer, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::AgentBase::Observer) },	//2
    { "Akonadi::AgentBase::ObserverV2", false, 4, xcall_Akonadi__AgentBase__ObserverV2, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::AgentBase::ObserverV2) },	//3
    { "Akonadi::AgentBasePrivate", true, 0, 0, 0, 0, 0 },	//4
    { "Akonadi::AgentFilterProxyModel", false, 6, xcall_Akonadi__AgentFilterProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentFilterProxyModel) },	//5
    { "Akonadi::AgentInstance", false, 0, xcall_Akonadi__AgentInstance, xenum_Akonadi__AgentInstance, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::AgentInstance) },	//6
    { "Akonadi::AgentInstanceCreateJob", false, 8, xcall_Akonadi__AgentInstanceCreateJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentInstanceCreateJob) },	//7
    { "Akonadi::AgentInstanceModel", false, 10, xcall_Akonadi__AgentInstanceModel, xenum_Akonadi__AgentInstanceModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentInstanceModel) },	//8
    { "Akonadi::AgentInstanceWidget", false, 12, xcall_Akonadi__AgentInstanceWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentInstanceWidget) },	//9
    { "Akonadi::AgentManager", false, 14, xcall_Akonadi__AgentManager, 0, Smoke::cf_virtual, sizeof(Akonadi::AgentManager) },	//10
    { "Akonadi::AgentType", false, 0, xcall_Akonadi__AgentType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::AgentType) },	//11
    { "Akonadi::AgentTypeDialog", false, 16, xcall_Akonadi__AgentTypeDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentTypeDialog) },	//12
    { "Akonadi::AgentTypeModel", false, 10, xcall_Akonadi__AgentTypeModel, xenum_Akonadi__AgentTypeModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentTypeModel) },	//13
    { "Akonadi::AgentTypeWidget", false, 12, xcall_Akonadi__AgentTypeWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentTypeWidget) },	//14
    { "Akonadi::Attribute", false, 0, xcall_Akonadi__Attribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::Attribute) },	//15
    { "Akonadi::AttributeFactory", false, 0, xcall_Akonadi__AttributeFactory, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::AttributeFactory) },	//16
    { "Akonadi::CachePolicy", false, 0, xcall_Akonadi__CachePolicy, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::CachePolicy) },	//17
    { "Akonadi::ChangeRecorder", true, 0, 0, 0, 0, 0 },	//18
    { "Akonadi::Collection", false, 18, xcall_Akonadi__Collection, xenum_Akonadi__Collection, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::Collection) },	//19
    { "Akonadi::CollectionStatistics", true, 0, 0, 0, 0, 0 },	//20
    { "Akonadi::Entity", false, 0, xcall_Akonadi__Entity, xenum_Akonadi__Entity, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::Entity) },	//21
    { "Akonadi::EntityPrivate", true, 0, 0, 0, 0, 0 },	//22
    { "Akonadi::Exception", false, 0, xcall_Akonadi__Exception, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::Exception) },	//23
    { "Akonadi::Item", true, 0, 0, 0, 0, 0 },	//24
    { "Akonadi::PayloadException", false, 20, xcall_Akonadi__PayloadException, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::PayloadException) },	//25
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//26
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//27
    { "KDialog", true, 0, 0, 0, 0, 0 },	//28
    { "KJob", true, 0, 0, 0, 0, 0 },	//29
    { "KLocale", true, 0, 0, 0, 0, 0 },	//30
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//31
    { "KUrl", true, 0, 0, 0, 0, 0 },	//32
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//33
    { "QAbstractItemView", true, 0, 0, 0, 0, 0 },	//34
    { "QAbstractProxyModel", true, 0, 0, 0, 0, 0 },	//35
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//36
    { "QBool", true, 0, 0, 0, 0, 0 },	//37
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//38
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//39
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//41
    { "QDBusContext", true, 0, 0, 0, 0, 0 },	//42
    { "QDialog", true, 0, 0, 0, 0, 0 },	//43
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//46
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//47
    { "QEvent", true, 0, 0, 0, 0, 0 },	//48
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//49
    { "QFont", true, 0, 0, 0, 0, 0 },	//50
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//51
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//52
    { "QIcon", true, 0, 0, 0, 0, 0 },	//53
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//54
    { "QItemSelection", true, 0, 0, 0, 0, 0 },	//55
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//56
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//57
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//58
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//59
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//60
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//61
    { "QObject", true, 0, 0, 0, 0, 0 },	//62
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//63
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//64
    { "QPalette", true, 0, 0, 0, 0, 0 },	//65
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//66
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//67
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//68
    { "QSize", true, 0, 0, 0, 0, 0 },	//69
    { "QSortFilterProxyModel", true, 0, 0, 0, 0, 0 },	//70
    { "QStyle", true, 0, 0, 0, 0, 0 },	//71
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//72
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//73
    { "QVariant", true, 0, 0, 0, 0, 0 },	//74
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//75
    { "QWidget", true, 0, 0, 0, 0, 0 },	//76
    { "boost::exception", true, 0, 0, 0, 0, 0 },	//77
    { "boost::exception_detail::large_size", true, 0, 0, 0, 0, 0 },	//78
    { "boost::exception_detail::small_size", true, 0, 0, 0, 0, 0 },	//79
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "Akonadi::AgentBase*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "Akonadi::AgentBase::Observer*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "Akonadi::AgentBase::ObserverV2*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "Akonadi::AgentBase::Status", 1, Smoke::t_enum|Smoke::tf_stack },	//4
    { "Akonadi::AgentBasePrivate*", 4, Smoke::t_class|Smoke::tf_ptr },	//5
    { "Akonadi::AgentFilterProxyModel*", 5, Smoke::t_class|Smoke::tf_ptr },	//6
    { "Akonadi::AgentInstance", 6, Smoke::t_class|Smoke::tf_stack },	//7
    { "Akonadi::AgentInstance&", 6, Smoke::t_class|Smoke::tf_ref },	//8
    { "Akonadi::AgentInstance*", 6, Smoke::t_class|Smoke::tf_ptr },	//9
    { "Akonadi::AgentInstance::Status", 6, Smoke::t_enum|Smoke::tf_stack },	//10
    { "Akonadi::AgentInstanceCreateJob*", 7, Smoke::t_class|Smoke::tf_ptr },	//11
    { "Akonadi::AgentInstanceModel*", 8, Smoke::t_class|Smoke::tf_ptr },	//12
    { "Akonadi::AgentInstanceModel::Roles", 8, Smoke::t_enum|Smoke::tf_stack },	//13
    { "Akonadi::AgentInstanceWidget*", 9, Smoke::t_class|Smoke::tf_ptr },	//14
    { "Akonadi::AgentManager*", 10, Smoke::t_class|Smoke::tf_ptr },	//15
    { "Akonadi::AgentType", 11, Smoke::t_class|Smoke::tf_stack },	//16
    { "Akonadi::AgentType&", 11, Smoke::t_class|Smoke::tf_ref },	//17
    { "Akonadi::AgentType*", 11, Smoke::t_class|Smoke::tf_ptr },	//18
    { "Akonadi::AgentTypeDialog*", 12, Smoke::t_class|Smoke::tf_ptr },	//19
    { "Akonadi::AgentTypeModel*", 13, Smoke::t_class|Smoke::tf_ptr },	//20
    { "Akonadi::AgentTypeModel::Roles", 13, Smoke::t_enum|Smoke::tf_stack },	//21
    { "Akonadi::AgentTypeWidget*", 14, Smoke::t_class|Smoke::tf_ptr },	//22
    { "Akonadi::Attribute*", 15, Smoke::t_class|Smoke::tf_ptr },	//23
    { "Akonadi::AttributeFactory*", 16, Smoke::t_class|Smoke::tf_ptr },	//24
    { "Akonadi::CachePolicy", 17, Smoke::t_class|Smoke::tf_stack },	//25
    { "Akonadi::CachePolicy&", 17, Smoke::t_class|Smoke::tf_ref },	//26
    { "Akonadi::CachePolicy*", 17, Smoke::t_class|Smoke::tf_ptr },	//27
    { "Akonadi::ChangeRecorder*", 18, Smoke::t_class|Smoke::tf_ptr },	//28
    { "Akonadi::Collection", 19, Smoke::t_class|Smoke::tf_stack },	//29
    { "Akonadi::Collection&", 19, Smoke::t_class|Smoke::tf_ref },	//30
    { "Akonadi::Collection*", 19, Smoke::t_class|Smoke::tf_ptr },	//31
    { "Akonadi::Collection::Right", 19, Smoke::t_enum|Smoke::tf_stack },	//32
    { "Akonadi::Collection::UrlType", 19, Smoke::t_enum|Smoke::tf_stack },	//33
    { "Akonadi::CollectionStatistics", 20, Smoke::t_class|Smoke::tf_stack },	//34
    { "Akonadi::Entity&", 21, Smoke::t_class|Smoke::tf_ref },	//35
    { "Akonadi::Entity*", 21, Smoke::t_class|Smoke::tf_ptr },	//36
    { "Akonadi::Entity::CreateOption", 21, Smoke::t_enum|Smoke::tf_stack },	//37
    { "Akonadi::EntityPrivate*", 22, Smoke::t_class|Smoke::tf_ptr },	//38
    { "Akonadi::Exception*", 23, Smoke::t_class|Smoke::tf_ptr },	//39
    { "Akonadi::PayloadException*", 25, Smoke::t_class|Smoke::tf_ptr },	//40
    { "KCharsets*", 26, Smoke::t_class|Smoke::tf_ptr },	//41
    { "KComponentData", 27, Smoke::t_class|Smoke::tf_stack },	//42
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "KLocale*", 30, Smoke::t_class|Smoke::tf_ptr },	//44
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//45
    { "KStandardDirs*", 31, Smoke::t_class|Smoke::tf_ptr },	//46
    { "KUrl", 32, Smoke::t_class|Smoke::tf_stack },	//47
    { "QAbstractItemModel*", 33, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QAbstractItemView*", 34, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QActionEvent*", 36, Smoke::t_class|Smoke::tf_ptr },	//50
    { "QBool", 37, Smoke::t_class|Smoke::tf_stack },	//51
    { "QByteArray", 38, Smoke::t_class|Smoke::tf_stack },	//52
    { "QChildEvent*", 39, Smoke::t_class|Smoke::tf_ptr },	//53
    { "QCloseEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//54
    { "QContextMenuEvent*", 41, Smoke::t_class|Smoke::tf_ptr },	//55
    { "QDBus::CallMode", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "QDragEnterEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//57
    { "QDragLeaveEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//58
    { "QDragMoveEvent*", 46, Smoke::t_class|Smoke::tf_ptr },	//59
    { "QDropEvent*", 47, Smoke::t_class|Smoke::tf_ptr },	//60
    { "QEvent*", 48, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QFlags<Akonadi::Collection::Right>", 0, Smoke::t_uint|Smoke::tf_stack },	//62
    { "QFlags<Qt::DropAction>", 0, Smoke::t_uint|Smoke::tf_stack },	//63
    { "QFlags<Qt::ItemFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//64
    { "QFlags<Qt::MatchFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//65
    { "QFocusEvent*", 49, Smoke::t_class|Smoke::tf_ptr },	//66
    { "QHideEvent*", 52, Smoke::t_class|Smoke::tf_ptr },	//67
    { "QIcon", 53, Smoke::t_class|Smoke::tf_stack },	//68
    { "QInputMethodEvent*", 54, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QItemSelection", 55, Smoke::t_class|Smoke::tf_stack },	//70
    { "QKeyEvent*", 56, Smoke::t_class|Smoke::tf_ptr },	//71
    { "QList<Akonadi::AgentInstance>", 0, Smoke::t_voidp|Smoke::tf_stack },	//72
    { "QList<Akonadi::AgentType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//73
    { "QList<Akonadi::Attribute*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//74
    { "QList<QModelIndex>", 0, Smoke::t_voidp|Smoke::tf_stack },	//75
    { "QMap<int,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//76
    { "QMetaObject::Call", 57, Smoke::t_enum|Smoke::tf_stack },	//77
    { "QMimeData*", 58, Smoke::t_class|Smoke::tf_ptr },	//78
    { "QModelIndex", 59, Smoke::t_class|Smoke::tf_stack },	//79
    { "QMouseEvent*", 60, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QMoveEvent*", 61, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QObject*", 62, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "QPaintEngine*", 63, Smoke::t_class|Smoke::tf_ptr },	//84
    { "QPaintEvent*", 64, Smoke::t_class|Smoke::tf_ptr },	//85
    { "QRegExp&", 66, Smoke::t_class|Smoke::tf_ref },	//86
    { "QResizeEvent*", 67, Smoke::t_class|Smoke::tf_ptr },	//87
    { "QShowEvent*", 68, Smoke::t_class|Smoke::tf_ptr },	//88
    { "QSize", 69, Smoke::t_class|Smoke::tf_stack },	//89
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//90
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//91
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//92
    { "QStyle&", 71, Smoke::t_class|Smoke::tf_ref },	//93
    { "QTabletEvent*", 72, Smoke::t_class|Smoke::tf_ptr },	//94
    { "QTimerEvent*", 73, Smoke::t_class|Smoke::tf_ptr },	//95
    { "QVariant", 74, Smoke::t_class|Smoke::tf_stack },	//96
    { "QVariantMap", 0, Smoke::t_voidp|Smoke::tf_stack },	//97
    { "QWheelEvent*", 75, Smoke::t_class|Smoke::tf_ptr },	//98
    { "QWidget*", 76, Smoke::t_class|Smoke::tf_ptr },	//99
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//167
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//168
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//169
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//170
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//171
    { "QtMsgType", 51, Smoke::t_enum|Smoke::tf_stack },	//172
    { "QtValidLicenseForActiveQtModule", 51, Smoke::t_enum|Smoke::tf_stack },	//173
    { "QtValidLicenseForCoreModule", 51, Smoke::t_enum|Smoke::tf_stack },	//174
    { "QtValidLicenseForDBusModule", 51, Smoke::t_enum|Smoke::tf_stack },	//175
    { "QtValidLicenseForDeclarativeModule", 51, Smoke::t_enum|Smoke::tf_stack },	//176
    { "QtValidLicenseForGuiModule", 51, Smoke::t_enum|Smoke::tf_stack },	//177
    { "QtValidLicenseForHelpModule", 51, Smoke::t_enum|Smoke::tf_stack },	//178
    { "QtValidLicenseForMultimediaModule", 51, Smoke::t_enum|Smoke::tf_stack },	//179
    { "QtValidLicenseForNetworkModule", 51, Smoke::t_enum|Smoke::tf_stack },	//180
    { "QtValidLicenseForOpenGLModule", 51, Smoke::t_enum|Smoke::tf_stack },	//181
    { "QtValidLicenseForOpenVGModule", 51, Smoke::t_enum|Smoke::tf_stack },	//182
    { "QtValidLicenseForQt3SupportLightModule", 51, Smoke::t_enum|Smoke::tf_stack },	//183
    { "QtValidLicenseForQt3SupportModule", 51, Smoke::t_enum|Smoke::tf_stack },	//184
    { "QtValidLicenseForScriptModule", 51, Smoke::t_enum|Smoke::tf_stack },	//185
    { "QtValidLicenseForScriptToolsModule", 51, Smoke::t_enum|Smoke::tf_stack },	//186
    { "QtValidLicenseForSqlModule", 51, Smoke::t_enum|Smoke::tf_stack },	//187
    { "QtValidLicenseForSvgModule", 51, Smoke::t_enum|Smoke::tf_stack },	//188
    { "QtValidLicenseForTestModule", 51, Smoke::t_enum|Smoke::tf_stack },	//189
    { "QtValidLicenseForXmlModule", 51, Smoke::t_enum|Smoke::tf_stack },	//190
    { "QtValidLicenseForXmlPatternsModule", 51, Smoke::t_enum|Smoke::tf_stack },	//191
    { "WId", 0, Smoke::t_ulong|Smoke::tf_stack },	//192
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//193
    { "__codecvt_result", 51, Smoke::t_enum|Smoke::tf_stack },	//194
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//195
    { "boost::exception*", 77, Smoke::t_class|Smoke::tf_ptr },	//196
    { "boost::exception_detail::large_size", 78, Smoke::t_class|Smoke::tf_stack },	//197
    { "boost::exception_detail::small_size", 79, Smoke::t_class|Smoke::tf_stack },	//198
    { "boost::memory_order", 0, Smoke::t_enum|Smoke::tf_stack },	//199
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//200
    { "const Akonadi::AgentBase::Observer&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//201
    { "const Akonadi::AgentBase::ObserverV2&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//202
    { "const Akonadi::AgentInstance&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//203
    { "const Akonadi::AgentType&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//204
    { "const Akonadi::Attribute&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//205
    { "const Akonadi::AttributeFactory&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//206
    { "const Akonadi::CachePolicy&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//207
    { "const Akonadi::Collection&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//208
    { "const Akonadi::CollectionStatistics&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//209
    { "const Akonadi::Entity&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//210
    { "const Akonadi::EntityPrivate*", 22, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//211
    { "const Akonadi::Exception&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//212
    { "const Akonadi::Item&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//213
    { "const Akonadi::PayloadException&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//214
    { "const KComponentData&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//215
    { "const KUrl&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//216
    { "const QByteArray&", 38, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//217
    { "const QFont&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//218
    { "const QItemSelection&", 55, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//219
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//220
    { "const QMap<int,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//221
    { "const QMetaObject&", 57, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//222
    { "const QMetaObject*", 57, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//223
    { "const QMimeData*", 58, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//224
    { "const QModelIndex&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//225
    { "const QObject*", 62, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//226
    { "const QPalette&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//227
    { "const QRegExp&", 66, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//228
    { "const QSet<QByteArray>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//229
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//230
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//231
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//232
    { "const QVariant&", 74, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//233
    { "const QVariantMap&", 0, Smoke::t_voidp|Smoke::tf_stack },	//234
    { "const boost::exception&", 77, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//235
    { "const boost::exception*", 77, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//236
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//237
    { "const std::exception&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//238
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//239
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//240
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//241
    { "long long", 0, Smoke::t_voidp|Smoke::tf_stack },	//242
    { "long*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//243
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//244
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//245
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//246
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//247
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//248
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    237, 0,	//1  const char*
    237, 237, 0,	//3  const char*, const char*
    237, 237, 240, 0,	//6  const char*, const char*, int
    77, 240, 247, 0,	//10  QMetaObject::Call, int, void**
    192, 0,	//14  WId
    2, 0,	//16  Akonadi::AgentBase::Observer*
    230, 0,	//18  const QString&
    240, 230, 0,	//20  int, const QString&
    240, 0,	//23  int
    234, 0,	//25  const QVariantMap&
    195, 0,	//27  bool
    5, 230, 0,	//29  Akonadi::AgentBasePrivate*, const QString&
    213, 208, 0,	//32  const Akonadi::Item&, const Akonadi::Collection&
    213, 229, 0,	//35  const Akonadi::Item&, const QSet<QByteArray>&
    213, 0,	//38  const Akonadi::Item&
    208, 208, 0,	//40  const Akonadi::Collection&, const Akonadi::Collection&
    208, 0,	//43  const Akonadi::Collection&
    201, 0,	//45  const Akonadi::AgentBase::Observer&
    213, 208, 208, 0,	//47  const Akonadi::Item&, const Akonadi::Collection&, const Akonadi::Collection&
    208, 208, 208, 0,	//51  const Akonadi::Collection&, const Akonadi::Collection&, const Akonadi::Collection&
    208, 229, 0,	//55  const Akonadi::Collection&, const QSet<QByteArray>&
    202, 0,	//58  const Akonadi::AgentBase::ObserverV2&
    82, 0,	//60  QObject*
    240, 225, 0,	//62  int, const QModelIndex&
    203, 0,	//65  const Akonadi::AgentInstance&
    99, 0,	//67  QWidget*
    204, 82, 0,	//69  const Akonadi::AgentType&, QObject*
    230, 82, 0,	//72  const QString&, QObject*
    204, 0,	//75  const Akonadi::AgentType&
    225, 0,	//77  const QModelIndex&
    225, 240, 0,	//79  const QModelIndex&, int
    240, 146, 240, 0,	//82  int, Qt::Orientation, int
    240, 240, 225, 0,	//86  int, int, const QModelIndex&
    225, 233, 240, 0,	//90  const QModelIndex&, const QVariant&, int
    240, 146, 0,	//94  int, Qt::Orientation
    240, 240, 0,	//97  int, int
    203, 203, 0,	//100  const Akonadi::AgentInstance&, const Akonadi::AgentInstance&
    208, 195, 0,	//103  const Akonadi::Collection&, bool
    203, 230, 0,	//106  const Akonadi::AgentInstance&, const QString&
    203, 195, 0,	//109  const Akonadi::AgentInstance&, bool
    204, 204, 0,	//112  const Akonadi::AgentType&, const Akonadi::AgentType&
    217, 0,	//115  const QByteArray&
    205, 0,	//117  const Akonadi::Attribute&
    206, 0,	//119  const Akonadi::AttributeFactory&
    207, 0,	//121  const Akonadi::CachePolicy&
    231, 0,	//123  const QStringList&
    242, 0,	//125  long long
    216, 0,	//127  const KUrl&
    62, 0,	//129  QFlags<Akonadi::Collection::Right>
    209, 0,	//131  const Akonadi::CollectionStatistics&
    33, 0,	//133  Akonadi::Collection::UrlType
    210, 0,	//135  const Akonadi::Entity&
    23, 0,	//137  Akonadi::Attribute*
    38, 0,	//139  Akonadi::EntityPrivate*
    212, 0,	//141  const Akonadi::Exception&
    214, 0,	//143  const Akonadi::PayloadException&
    230, 195, 0,	//145  const QString&, bool
    67, 0,	//148  QHideEvent*
    54, 0,	//150  QCloseEvent*
    71, 0,	//152  QKeyEvent*
    240, 146, 233, 240, 0,	//154  int, Qt::Orientation, const QVariant&, int
    225, 221, 0,	//159  const QModelIndex&, const QMap<int,QVariant>&
    220, 0,	//162  const QList<QModelIndex>&
    224, 122, 240, 240, 225, 0,	//164  const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    240, 154, 0,	//170  int, Qt::SortOrder
    225, 240, 233, 240, 65, 0,	//173  const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>
    88, 0,	//179  QShowEvent*
    87, 0,	//181  QResizeEvent*
    55, 0,	//183  QContextMenuEvent*
    82, 61, 0,	//185  QObject*, QEvent*
    61, 0,	//188  QEvent*
    95, 0,	//190  QTimerEvent*
    53, 0,	//192  QChildEvent*
    48, 0,	//194  QAbstractItemModel*
    219, 0,	//196  const QItemSelection&
    225, 225, 0,	//198  const QModelIndex&, const QModelIndex&
    80, 0,	//201  QMouseEvent*
    98, 0,	//203  QWheelEvent*
    66, 0,	//205  QFocusEvent*
    85, 0,	//207  QPaintEvent*
    81, 0,	//209  QMoveEvent*
    94, 0,	//211  QTabletEvent*
    50, 0,	//213  QActionEvent*
    57, 0,	//215  QDragEnterEvent*
    59, 0,	//217  QDragMoveEvent*
    58, 0,	//219  QDragLeaveEvent*
    60, 0,	//221  QDropEvent*
    193, 0,	//223  _XEvent*
    83, 0,	//225  QPaintDevice::PaintDeviceMetric
    69, 0,	//227  QInputMethodEvent*
    134, 0,	//229  Qt::InputMethodQuery
    93, 0,	//231  QStyle&
    227, 0,	//233  const QPalette&
    218, 0,	//235  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Accepted",	//1
    "AddIfMissing",	//2
    "AgentBase",	//3
    "AgentBase#$",	//4
    "AgentBase$",	//5
    "AgentFilterProxyModel",	//6
    "AgentFilterProxyModel#",	//7
    "AgentInstance",	//8
    "AgentInstance#",	//9
    "AgentInstanceCreateJob",	//10
    "AgentInstanceCreateJob#",	//11
    "AgentInstanceCreateJob##",	//12
    "AgentInstanceCreateJob$",	//13
    "AgentInstanceCreateJob$#",	//14
    "AgentInstanceModel",	//15
    "AgentInstanceModel#",	//16
    "AgentInstanceWidget",	//17
    "AgentInstanceWidget#",	//18
    "AgentType",	//19
    "AgentType#",	//20
    "AgentTypeDialog",	//21
    "AgentTypeDialog#",	//22
    "AgentTypeModel",	//23
    "AgentTypeModel#",	//24
    "AgentTypeWidget",	//25
    "AgentTypeWidget#",	//26
    "AllRights",	//27
    "AppNameCaption",	//28
    "Apply",	//29
    "Attribute",	//30
    "Attribute#",	//31
    "AttributeFactory",	//32
    "AttributeFactory#",	//33
    "Broken",	//34
    "Bytes",	//35
    "CachePolicy",	//36
    "CachePolicy#",	//37
    "CanChangeCollection",	//38
    "CanChangeItem",	//39
    "CanCreateCollection",	//40
    "CanCreateItem",	//41
    "CanDeleteCollection",	//42
    "CanDeleteItem",	//43
    "CanLinkItem",	//44
    "CanUnlinkItem",	//45
    "Cancel",	//46
    "CapabilitiesRole",	//47
    "Close",	//48
    "Collection",	//49
    "Collection#",	//50
    "Collection$",	//51
    "Default",	//52
    "DelayedPopup",	//53
    "DescriptionRole",	//54
    "Details",	//55
    "Directories",	//56
    "DrawChildren",	//57
    "DrawWindowBackground",	//58
    "EmitResult",	//59
    "Entity",	//60
    "Entity#",	//61
    "Exception",	//62
    "Exception#",	//63
    "Exception$",	//64
    "Files",	//65
    "HIGCompliantCaption",	//66
    "Help",	//67
    "IdentifierRole",	//68
    "Idle",	//69
    "IgnoreMask",	//70
    "InstanceIdentifierRole",	//71
    "InstanceRole",	//72
    "InstantPopup",	//73
    "Killable",	//74
    "KilledJobError",	//75
    "LicensedActiveQt",	//76
    "LicensedCore",	//77
    "LicensedDBus",	//78
    "LicensedDeclarative",	//79
    "LicensedGui",	//80
    "LicensedHelp",	//81
    "LicensedMultimedia",	//82
    "LicensedNetwork",	//83
    "LicensedOpenGL",	//84
    "LicensedOpenVG",	//85
    "LicensedQt3Support",	//86
    "LicensedQt3SupportLight",	//87
    "LicensedScript",	//88
    "LicensedScriptTools",	//89
    "LicensedSql",	//90
    "LicensedSvg",	//91
    "LicensedTest",	//92
    "LicensedXml",	//93
    "LicensedXmlPatterns",	//94
    "MimeTypesRole",	//95
    "ModifiedCaption",	//96
    "No",	//97
    "NoCapabilities",	//98
    "NoCaptionFlags",	//99
    "NoDefault",	//100
    "NoError",	//101
    "None",	//102
    "Observer",	//103
    "Observer#",	//104
    "ObserverV2",	//105
    "ObserverV2#",	//106
    "Ok",	//107
    "OnlineRole",	//108
    "PayloadException",	//109
    "PayloadException#",	//110
    "PayloadException$",	//111
    "ProgressRole",	//112
    "QtCriticalMsg",	//113
    "QtDebugMsg",	//114
    "QtFatalMsg",	//115
    "QtSystemMsg",	//116
    "QtWarningMsg",	//117
    "Quietly",	//118
    "ReadOnly",	//119
    "Rejected",	//120
    "Reset",	//121
    "Running",	//122
    "StatusMessageRole",	//123
    "StatusRole",	//124
    "Suspendable",	//125
    "Try",	//126
    "TypeIdentifierRole",	//127
    "TypeRole",	//128
    "UrlShort",	//129
    "UrlWithName",	//130
    "User1",	//131
    "User2",	//132
    "User3",	//133
    "UserDefinedError",	//134
    "UserRole",	//135
    "Yes",	//136
    "_CS_GNU_LIBC_VERSION",	//137
    "_CS_GNU_LIBPTHREAD_VERSION",	//138
    "_CS_LFS64_CFLAGS",	//139
    "_CS_LFS64_LDFLAGS",	//140
    "_CS_LFS64_LIBS",	//141
    "_CS_LFS64_LINTFLAGS",	//142
    "_CS_LFS_CFLAGS",	//143
    "_CS_LFS_LDFLAGS",	//144
    "_CS_LFS_LIBS",	//145
    "_CS_LFS_LINTFLAGS",	//146
    "_CS_LIBDIR",	//147
    "_CS_PATH",	//148
    "_CS_POSIX_V6_ILP32_OFF32_CFLAGS",	//149
    "_CS_POSIX_V6_ILP32_OFF32_LDFLAGS",	//150
    "_CS_POSIX_V6_ILP32_OFF32_LIBS",	//151
    "_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS",	//152
    "_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS",	//153
    "_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS",	//154
    "_CS_POSIX_V6_ILP32_OFFBIG_LIBS",	//155
    "_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS",	//156
    "_CS_POSIX_V6_LP64_OFF64_CFLAGS",	//157
    "_CS_POSIX_V6_LP64_OFF64_LDFLAGS",	//158
    "_CS_POSIX_V6_LP64_OFF64_LIBS",	//159
    "_CS_POSIX_V6_LP64_OFF64_LINTFLAGS",	//160
    "_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS",	//161
    "_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS",	//162
    "_CS_POSIX_V6_LPBIG_OFFBIG_LIBS",	//163
    "_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS",	//164
    "_CS_POSIX_V7_ILP32_OFF32_CFLAGS",	//165
    "_CS_POSIX_V7_ILP32_OFF32_LDFLAGS",	//166
    "_CS_POSIX_V7_ILP32_OFF32_LIBS",	//167
    "_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS",	//168
    "_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS",	//169
    "_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS",	//170
    "_CS_POSIX_V7_ILP32_OFFBIG_LIBS",	//171
    "_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS",	//172
    "_CS_POSIX_V7_LP64_OFF64_CFLAGS",	//173
    "_CS_POSIX_V7_LP64_OFF64_LDFLAGS",	//174
    "_CS_POSIX_V7_LP64_OFF64_LIBS",	//175
    "_CS_POSIX_V7_LP64_OFF64_LINTFLAGS",	//176
    "_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS",	//177
    "_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS",	//178
    "_CS_POSIX_V7_LPBIG_OFFBIG_LIBS",	//179
    "_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS",	//180
    "_CS_SLIB",	//181
    "_CS_V5_WIDTH_RESTRICTED_ENVS",	//182
    "_CS_V6_WIDTH_RESTRICTED_ENVS",	//183
    "_CS_V7_WIDTH_RESTRICTED_ENVS",	//184
    "_CS_XBS5_ILP32_OFF32_CFLAGS",	//185
    "_CS_XBS5_ILP32_OFF32_LDFLAGS",	//186
    "_CS_XBS5_ILP32_OFF32_LIBS",	//187
    "_CS_XBS5_ILP32_OFF32_LINTFLAGS",	//188
    "_CS_XBS5_ILP32_OFFBIG_CFLAGS",	//189
    "_CS_XBS5_ILP32_OFFBIG_LDFLAGS",	//190
    "_CS_XBS5_ILP32_OFFBIG_LIBS",	//191
    "_CS_XBS5_ILP32_OFFBIG_LINTFLAGS",	//192
    "_CS_XBS5_LP64_OFF64_CFLAGS",	//193
    "_CS_XBS5_LP64_OFF64_LDFLAGS",	//194
    "_CS_XBS5_LP64_OFF64_LIBS",	//195
    "_CS_XBS5_LP64_OFF64_LINTFLAGS",	//196
    "_CS_XBS5_LPBIG_OFFBIG_CFLAGS",	//197
    "_CS_XBS5_LPBIG_OFFBIG_LDFLAGS",	//198
    "_CS_XBS5_LPBIG_OFFBIG_LIBS",	//199
    "_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS",	//200
    "__codecvt_error",	//201
    "__codecvt_noconv",	//202
    "__codecvt_ok",	//203
    "__codecvt_partial",	//204
    "abortCurrentTask",	//205
    "abortRequested",	//206
    "aboutToQuit",	//207
    "accept",	//208
    "actionEvent",	//209
    "activated",	//210
    "addAttribute",	//211
    "addAttribute#",	//212
    "addCapabilityFilter",	//213
    "addCapabilityFilter$",	//214
    "addMimeTypeFilter",	//215
    "addMimeTypeFilter$",	//216
    "advancedStatus",	//217
    "advancedStatus?",	//218
    "agentFilterProxyModel",	//219
    "agentName",	//220
    "agentNameChanged",	//221
    "agentNameChanged$",	//222
    "agentType",	//223
    "attribute",	//224
    "attribute#",	//225
    "attributes",	//226
    "buddy",	//227
    "cachePolicy",	//228
    "cacheTimeout",	//229
    "canFetchMore",	//230
    "capabilities",	//231
    "changeEvent",	//232
    "changeProcessed",	//233
    "changeRecorder",	//234
    "childEvent",	//235
    "cleanup",	//236
    "clearAttributes",	//237
    "clearFilters",	//238
    "clone",	//239
    "closeEvent",	//240
    "collectionAdded",	//241
    "collectionAdded##",	//242
    "collectionChanged",	//243
    "collectionChanged#",	//244
    "collectionChanged#?",	//245
    "collectionMoved",	//246
    "collectionMoved###",	//247
    "collectionRemoved",	//248
    "collectionRemoved#",	//249
    "columnCount",	//250
    "columnCount#",	//251
    "componentData",	//252
    "config",	//253
    "configurationDialogAccepted",	//254
    "configurationDialogRejected",	//255
    "configure",	//256
    "configure#",	//257
    "configure$",	//258
    "connectNotify",	//259
    "contentMimeTypes",	//260
    "contextMenuEvent",	//261
    "createAttribute",	//262
    "createAttribute#",	//263
    "currentAgentInstance",	//264
    "currentAgentType",	//265
    "currentChanged",	//266
    "currentChanged##",	//267
    "customEvent",	//268
    "d_func",	//269
    "data",	//270
    "data#",	//271
    "data#$",	//272
    "description",	//273
    "deserialize",	//274
    "deserialize#",	//275
    "devType",	//276
    "disconnectNotify",	//277
    "doKill",	//278
    "doResume",	//279
    "doSetOnline",	//280
    "doSetOnline$",	//281
    "doSuspend",	//282
    "done",	//283
    "done$",	//284
    "doubleClicked",	//285
    "doubleClicked#",	//286
    "dragEnterEvent",	//287
    "dragLeaveEvent",	//288
    "dragMoveEvent",	//289
    "dropEvent",	//290
    "dropMimeData",	//291
    "enabledChange",	//292
    "enterEvent",	//293
    "error",	//294
    "error$",	//295
    "errorString",	//296
    "event",	//297
    "eventFilter",	//298
    "excludeCapabilities",	//299
    "excludeCapabilities$",	//300
    "fetchMore",	//301
    "filterAcceptsColumn",	//302
    "filterAcceptsRow",	//303
    "filterAcceptsRow$#",	//304
    "flags",	//305
    "flags#",	//306
    "focusInEvent",	//307
    "focusNextPrevChild",	//308
    "focusOutEvent",	//309
    "fontChange",	//310
    "fromUrl",	//311
    "fromUrl#",	//312
    "hasAttribute",	//313
    "hasAttribute#",	//314
    "hasChildren",	//315
    "headerData",	//316
    "headerData$$",	//317
    "headerData$$$",	//318
    "heightForWidth",	//319
    "hideEvent",	//320
    "icon",	//321
    "iconName",	//322
    "id",	//323
    "identifier",	//324
    "index",	//325
    "index$$",	//326
    "index$$#",	//327
    "inheritFromParent",	//328
    "inputMethodEvent",	//329
    "inputMethodQuery",	//330
    "insertColumns",	//331
    "insertRows",	//332
    "instance",	//333
    "instance$",	//334
    "instanceAdded",	//335
    "instanceAdded#",	//336
    "instanceError",	//337
    "instanceError#$",	//338
    "instanceNameChanged",	//339
    "instanceNameChanged#",	//340
    "instanceOnline",	//341
    "instanceOnline#$",	//342
    "instanceProgressChanged",	//343
    "instanceProgressChanged#",	//344
    "instanceRemoved",	//345
    "instanceRemoved#",	//346
    "instanceStatusChanged",	//347
    "instanceStatusChanged#",	//348
    "instanceWarning",	//349
    "instanceWarning#$",	//350
    "instances",	//351
    "intervalCheckTime",	//352
    "isOnline",	//353
    "isValid",	//354
    "isVirtual",	//355
    "itemAdded",	//356
    "itemAdded##",	//357
    "itemChanged",	//358
    "itemChanged#?",	//359
    "itemData",	//360
    "itemLinked",	//361
    "itemLinked##",	//362
    "itemMoved",	//363
    "itemMoved###",	//364
    "itemRemoved",	//365
    "itemRemoved#",	//366
    "itemUnlinked",	//367
    "itemUnlinked##",	//368
    "keyPressEvent",	//369
    "keyReleaseEvent",	//370
    "languageChange",	//371
    "leaveEvent",	//372
    "lessThan",	//373
    "localParts",	//374
    "mapFromSource",	//375
    "mapSelectionFromSource",	//376
    "mapSelectionToSource",	//377
    "mapToSource",	//378
    "match",	//379
    "metaObject",	//380
    "metric",	//381
    "mimeData",	//382
    "mimeType",	//383
    "mimeTypes",	//384
    "minimumSizeHint",	//385
    "mouseDoubleClickEvent",	//386
    "mouseMoveEvent",	//387
    "mousePressEvent",	//388
    "mouseReleaseEvent",	//389
    "moveEvent",	//390
    "name",	//391
    "onlineChanged",	//392
    "onlineChanged$",	//393
    "operator!=",	//394
    "operator!=#",	//395
    "operator<",	//396
    "operator<#",	//397
    "operator=",	//398
    "operator=#",	//399
    "operator==",	//400
    "operator==#",	//401
    "paintEngine",	//402
    "paintEvent",	//403
    "paletteChange",	//404
    "parent",	//405
    "parent#",	//406
    "parentCollection",	//407
    "parentRemoteId",	//408
    "percent",	//409
    "percent$",	//410
    "progress",	//411
    "progressMessage",	//412
    "qt_metacall",	//413
    "qt_metacall$$?",	//414
    "qt_metacast",	//415
    "qt_metacast$",	//416
    "reconfigure",	//417
    "registerObserver",	//418
    "registerObserver#",	//419
    "reject",	//420
    "reloadConfiguration",	//421
    "remoteId",	//422
    "remoteRevision",	//423
    "removeAttribute",	//424
    "removeAttribute#",	//425
    "removeColumns",	//426
    "removeInstance",	//427
    "removeInstance#",	//428
    "removeRows",	//429
    "resizeEvent",	//430
    "resource",	//431
    "restart",	//432
    "revert",	//433
    "rights",	//434
    "root",	//435
    "rowCount",	//436
    "rowCount#",	//437
    "selectedAgentInstances",	//438
    "self",	//439
    "serialized",	//440
    "setAgentName",	//441
    "setAgentName$",	//442
    "setCachePolicy",	//443
    "setCachePolicy#",	//444
    "setCacheTimeout",	//445
    "setCacheTimeout$",	//446
    "setCaption",	//447
    "setContentMimeTypes",	//448
    "setContentMimeTypes?",	//449
    "setData",	//450
    "setData##$",	//451
    "setHeaderData",	//452
    "setId",	//453
    "setId$",	//454
    "setInheritFromParent",	//455
    "setInheritFromParent$",	//456
    "setIntervalCheckTime",	//457
    "setIntervalCheckTime$",	//458
    "setIsOnline",	//459
    "setIsOnline$",	//460
    "setItemData",	//461
    "setLocalParts",	//462
    "setLocalParts?",	//463
    "setName",	//464
    "setName$",	//465
    "setNeedsNetwork",	//466
    "setNeedsNetwork$",	//467
    "setOnline",	//468
    "setOnline$",	//469
    "setParent",	//470
    "setParent#",	//471
    "setParent$",	//472
    "setParentCollection",	//473
    "setParentCollection#",	//474
    "setParentRemoteId",	//475
    "setParentRemoteId$",	//476
    "setPlainCaption",	//477
    "setRemoteId",	//478
    "setRemoteId$",	//479
    "setRemoteRevision",	//480
    "setRemoteRevision$",	//481
    "setResource",	//482
    "setResource$",	//483
    "setRights",	//484
    "setRights$",	//485
    "setSourceModel",	//486
    "setStatistics",	//487
    "setStatistics#",	//488
    "setSyncOnDemand",	//489
    "setSyncOnDemand$",	//490
    "setVisible",	//491
    "showEvent",	//492
    "sizeHint",	//493
    "slotButtonClicked",	//494
    "sort",	//495
    "span",	//496
    "start",	//497
    "staticMetaObject",	//498
    "statistics",	//499
    "status",	//500
    "status$",	//501
    "status$$",	//502
    "statusMessage",	//503
    "styleChange",	//504
    "submit",	//505
    "supportedDropActions",	//506
    "syncOnDemand",	//507
    "synchronize",	//508
    "synchronizeCollection",	//509
    "synchronizeCollection#",	//510
    "synchronizeCollection#$",	//511
    "synchronizeCollectionTree",	//512
    "tabletEvent",	//513
    "timerEvent",	//514
    "tr",	//515
    "tr$",	//516
    "tr$$",	//517
    "tr$$$",	//518
    "trUtf8",	//519
    "trUtf8$",	//520
    "trUtf8$$",	//521
    "trUtf8$$$",	//522
    "type",	//523
    "type$",	//524
    "typeAdded",	//525
    "typeAdded#",	//526
    "typeRemoved",	//527
    "typeRemoved#",	//528
    "types",	//529
    "url",	//530
    "url$",	//531
    "view",	//532
    "warning",	//533
    "warning$",	//534
    "what",	//535
    "wheelEvent",	//536
    "winIdForDialogs",	//537
    "windowActivationChange",	//538
    "x11Event",	//539
    "~AgentBase",	//540
    "~AgentFilterProxyModel",	//541
    "~AgentInstance",	//542
    "~AgentInstanceCreateJob",	//543
    "~AgentInstanceModel",	//544
    "~AgentInstanceWidget",	//545
    "~AgentManager",	//546
    "~AgentType",	//547
    "~AgentTypeDialog",	//548
    "~AgentTypeModel",	//549
    "~AgentTypeWidget",	//550
    "~Attribute",	//551
    "~AttributeFactory",	//552
    "~CachePolicy",	//553
    "~Collection",	//554
    "~Entity",	//555
    "~Exception",	//556
    "~Observer",	//557
    "~ObserverV2",	//558
    "~PayloadException",	//559
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 380, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 223, 1},	//1 Akonadi::AgentBase::metaObject() const
    {1, 415, 1, 1, Smoke::mf_virtual, 246, 2},	//2 Akonadi::AgentBase::qt_metacast(const char*)
    {1, 515, 3, 2, Smoke::mf_static, 90, 3},	//3 Akonadi::AgentBase::tr(const char*, const char*)
    {1, 519, 3, 2, Smoke::mf_static, 90, 4},	//4 Akonadi::AgentBase::trUtf8(const char*, const char*)
    {1, 515, 6, 3, Smoke::mf_static, 90, 5},	//5 Akonadi::AgentBase::tr(const char*, const char*, int)
    {1, 519, 6, 3, Smoke::mf_static, 90, 6},	//6 Akonadi::AgentBase::trUtf8(const char*, const char*, int)
    {1, 413, 10, 3, Smoke::mf_virtual, 240, 7},	//7 Akonadi::AgentBase::qt_metacall(QMetaObject::Call, int, void**)
    {1, 500, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 240, 8},	//8 Akonadi::AgentBase::status() const
    {1, 503, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 90, 9},	//9 Akonadi::AgentBase::statusMessage() const
    {1, 411, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 240, 10},	//10 Akonadi::AgentBase::progress() const
    {1, 412, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 90, 11},	//11 Akonadi::AgentBase::progressMessage() const
    {1, 256, 14, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 12},	//12 Akonadi::AgentBase::configure(WId)
    {1, 537, 0, 0, Smoke::mf_const, 245, 13},	//13 Akonadi::AgentBase::winIdForDialogs() const
    {1, 324, 0, 0, Smoke::mf_const, 90, 14},	//14 Akonadi::AgentBase::identifier() const
    {1, 236, 0, 0, Smoke::mf_virtual, 0, 15},	//15 Akonadi::AgentBase::cleanup()
    {1, 418, 16, 1, 0, 0, 16},	//16 Akonadi::AgentBase::registerObserver(Akonadi::AgentBase::Observer*)
    {1, 441, 18, 1, 0, 0, 17},	//17 Akonadi::AgentBase::setAgentName(const QString&)
    {1, 220, 0, 0, Smoke::mf_const, 90, 18},	//18 Akonadi::AgentBase::agentName() const
    {1, 252, 0, 0, Smoke::mf_static, 42, 19},	//19 Akonadi::AgentBase::componentData()
    {1, 221, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//20 Akonadi::AgentBase::agentNameChanged(const QString&)
    {1, 500, 20, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//21 Akonadi::AgentBase::status(int, const QString&)
    {1, 409, 23, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//22 Akonadi::AgentBase::percent(int)
    {1, 533, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//23 Akonadi::AgentBase::warning(const QString&)
    {1, 294, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//24 Akonadi::AgentBase::error(const QString&)
    {1, 217, 25, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//25 Akonadi::AgentBase::advancedStatus(const QVariantMap&)
    {1, 206, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//26 Akonadi::AgentBase::abortRequested()
    {1, 421, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//27 Akonadi::AgentBase::reloadConfiguration()
    {1, 392, 27, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//28 Akonadi::AgentBase::onlineChanged(bool)
    {1, 254, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 29},	//29 Akonadi::AgentBase::configurationDialogAccepted()
    {1, 255, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 30},	//30 Akonadi::AgentBase::configurationDialogRejected()
    {1, 3, 18, 1, Smoke::mf_ctor|Smoke::mf_protected, 1, 31},	//31 Akonadi::AgentBase::AgentBase(const QString&)
    {1, 207, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 32},	//32 Akonadi::AgentBase::aboutToQuit()
    {1, 234, 0, 0, Smoke::mf_const|Smoke::mf_protected, 28, 33},	//33 Akonadi::AgentBase::changeRecorder() const
    {1, 253, 0, 0, Smoke::mf_protected, 45, 34},	//34 Akonadi::AgentBase::config()
    {1, 233, 0, 0, Smoke::mf_protected, 0, 35},	//35 Akonadi::AgentBase::changeProcessed()
    {1, 353, 0, 0, Smoke::mf_const|Smoke::mf_protected, 195, 36},	//36 Akonadi::AgentBase::isOnline() const
    {1, 466, 27, 1, Smoke::mf_protected, 0, 37},	//37 Akonadi::AgentBase::setNeedsNetwork(bool)
    {1, 468, 27, 1, Smoke::mf_protected, 0, 38},	//38 Akonadi::AgentBase::setOnline(bool)
    {1, 3, 29, 2, Smoke::mf_ctor|Smoke::mf_protected, 1, 39},	//39 Akonadi::AgentBase::AgentBase(Akonadi::AgentBasePrivate*, const QString&)
    {1, 280, 27, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 40},	//40 Akonadi::AgentBase::doSetOnline(bool)
    {1, 515, 1, 1, Smoke::mf_static, 90, 41},	//41 Akonadi::AgentBase::tr(const char*)
    {1, 519, 1, 1, Smoke::mf_static, 90, 42},	//42 Akonadi::AgentBase::trUtf8(const char*)
    {1, 500, 23, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 43},	//43 Akonadi::AgentBase::status(int)
    {1, 498, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 222, 44},	//44 Akonadi::AgentBase::staticMetaObject() const
    {1, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 45},	//45 Akonadi::AgentBase::Idle (enum)
    {1, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 46},	//46 Akonadi::AgentBase::Running (enum)
    {1, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 47},	//47 Akonadi::AgentBase::Broken (enum)
    {1, 540, 0, 0, Smoke::mf_dtor, 0, 48 },	//48 Akonadi::AgentBase::~AgentBase()
    {2, 103, 0, 0, Smoke::mf_ctor, 2, 1},	//49 Akonadi::AgentBase::Observer::Observer()
    {2, 356, 32, 2, Smoke::mf_virtual, 0, 2},	//50 Akonadi::AgentBase::Observer::itemAdded(const Akonadi::Item&, const Akonadi::Collection&)
    {2, 358, 35, 2, Smoke::mf_virtual, 0, 3},	//51 Akonadi::AgentBase::Observer::itemChanged(const Akonadi::Item&, const QSet<QByteArray>&)
    {2, 365, 38, 1, Smoke::mf_virtual, 0, 4},	//52 Akonadi::AgentBase::Observer::itemRemoved(const Akonadi::Item&)
    {2, 241, 40, 2, Smoke::mf_virtual, 0, 5},	//53 Akonadi::AgentBase::Observer::collectionAdded(const Akonadi::Collection&, const Akonadi::Collection&)
    {2, 243, 43, 1, Smoke::mf_virtual, 0, 6},	//54 Akonadi::AgentBase::Observer::collectionChanged(const Akonadi::Collection&)
    {2, 248, 43, 1, Smoke::mf_virtual, 0, 7},	//55 Akonadi::AgentBase::Observer::collectionRemoved(const Akonadi::Collection&)
    {2, 103, 45, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 2, 8},	//56 Akonadi::AgentBase::Observer::Observer(const Akonadi::AgentBase::Observer&)
    {2, 557, 0, 0, Smoke::mf_dtor, 0, 9 },	//57 Akonadi::AgentBase::Observer::~Observer()
    {3, 243, 43, 1, Smoke::mf_virtual, 0, 1},	//58 Akonadi::AgentBase::ObserverV2::collectionChanged(const Akonadi::Collection&)
    {3, 363, 47, 3, Smoke::mf_virtual, 0, 2},	//59 Akonadi::AgentBase::ObserverV2::itemMoved(const Akonadi::Item&, const Akonadi::Collection&, const Akonadi::Collection&)
    {3, 361, 32, 2, Smoke::mf_virtual, 0, 3},	//60 Akonadi::AgentBase::ObserverV2::itemLinked(const Akonadi::Item&, const Akonadi::Collection&)
    {3, 367, 32, 2, Smoke::mf_virtual, 0, 4},	//61 Akonadi::AgentBase::ObserverV2::itemUnlinked(const Akonadi::Item&, const Akonadi::Collection&)
    {3, 246, 51, 3, Smoke::mf_virtual, 0, 5},	//62 Akonadi::AgentBase::ObserverV2::collectionMoved(const Akonadi::Collection&, const Akonadi::Collection&, const Akonadi::Collection&)
    {3, 243, 55, 2, Smoke::mf_virtual, 0, 6},	//63 Akonadi::AgentBase::ObserverV2::collectionChanged(const Akonadi::Collection&, const QSet<QByteArray>&)
    {3, 105, 0, 0, Smoke::mf_ctor, 3, 7},	//64 Akonadi::AgentBase::ObserverV2::ObserverV2()
    {3, 105, 58, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 3, 8},	//65 Akonadi::AgentBase::ObserverV2::ObserverV2(const Akonadi::AgentBase::ObserverV2&)
    {3, 558, 0, 0, Smoke::mf_dtor, 0, 9 },	//66 Akonadi::AgentBase::ObserverV2::~ObserverV2()
    {5, 380, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 223, 1},	//67 Akonadi::AgentFilterProxyModel::metaObject() const
    {5, 415, 1, 1, Smoke::mf_virtual, 246, 2},	//68 Akonadi::AgentFilterProxyModel::qt_metacast(const char*)
    {5, 515, 3, 2, Smoke::mf_static, 90, 3},	//69 Akonadi::AgentFilterProxyModel::tr(const char*, const char*)
    {5, 519, 3, 2, Smoke::mf_static, 90, 4},	//70 Akonadi::AgentFilterProxyModel::trUtf8(const char*, const char*)
    {5, 515, 6, 3, Smoke::mf_static, 90, 5},	//71 Akonadi::AgentFilterProxyModel::tr(const char*, const char*, int)
    {5, 519, 6, 3, Smoke::mf_static, 90, 6},	//72 Akonadi::AgentFilterProxyModel::trUtf8(const char*, const char*, int)
    {5, 413, 10, 3, Smoke::mf_virtual, 240, 7},	//73 Akonadi::AgentFilterProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {5, 6, 60, 1, Smoke::mf_ctor, 6, 8},	//74 Akonadi::AgentFilterProxyModel::AgentFilterProxyModel(QObject*)
    {5, 215, 18, 1, 0, 0, 9},	//75 Akonadi::AgentFilterProxyModel::addMimeTypeFilter(const QString&)
    {5, 213, 18, 1, 0, 0, 10},	//76 Akonadi::AgentFilterProxyModel::addCapabilityFilter(const QString&)
    {5, 238, 0, 0, 0, 0, 11},	//77 Akonadi::AgentFilterProxyModel::clearFilters()
    {5, 299, 18, 1, 0, 0, 12},	//78 Akonadi::AgentFilterProxyModel::excludeCapabilities(const QString&)
    {5, 303, 62, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 195, 13},	//79 Akonadi::AgentFilterProxyModel::filterAcceptsRow(int, const QModelIndex&) const
    {5, 515, 1, 1, Smoke::mf_static, 90, 14},	//80 Akonadi::AgentFilterProxyModel::tr(const char*)
    {5, 519, 1, 1, Smoke::mf_static, 90, 15},	//81 Akonadi::AgentFilterProxyModel::trUtf8(const char*)
    {5, 6, 0, 0, Smoke::mf_ctor, 6, 16},	//82 Akonadi::AgentFilterProxyModel::AgentFilterProxyModel()
    {5, 498, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 222, 17},	//83 Akonadi::AgentFilterProxyModel::staticMetaObject() const
    {5, 541, 0, 0, Smoke::mf_dtor, 0, 18 },	//84 Akonadi::AgentFilterProxyModel::~AgentFilterProxyModel()
    {6, 8, 0, 0, Smoke::mf_ctor, 9, 1},	//85 Akonadi::AgentInstance::AgentInstance()
    {6, 8, 65, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 9, 2},	//86 Akonadi::AgentInstance::AgentInstance(const Akonadi::AgentInstance&)
    {6, 354, 0, 0, Smoke::mf_const, 195, 3},	//87 Akonadi::AgentInstance::isValid() const
    {6, 523, 0, 0, Smoke::mf_const, 16, 4},	//88 Akonadi::AgentInstance::type() const
    {6, 324, 0, 0, Smoke::mf_const, 90, 5},	//89 Akonadi::AgentInstance::identifier() const
    {6, 391, 0, 0, Smoke::mf_const, 90, 6},	//90 Akonadi::AgentInstance::name() const
    {6, 464, 18, 1, 0, 0, 7},	//91 Akonadi::AgentInstance::setName(const QString&)
    {6, 500, 0, 0, Smoke::mf_const, 10, 8},	//92 Akonadi::AgentInstance::status() const
    {6, 503, 0, 0, Smoke::mf_const, 90, 9},	//93 Akonadi::AgentInstance::statusMessage() const
    {6, 411, 0, 0, Smoke::mf_const, 240, 10},	//94 Akonadi::AgentInstance::progress() const
    {6, 353, 0, 0, Smoke::mf_const, 195, 11},	//95 Akonadi::AgentInstance::isOnline() const
    {6, 459, 27, 1, 0, 0, 12},	//96 Akonadi::AgentInstance::setIsOnline(bool)
    {6, 256, 67, 1, 0, 0, 13},	//97 Akonadi::AgentInstance::configure(QWidget*)
    {6, 508, 0, 0, 0, 0, 14},	//98 Akonadi::AgentInstance::synchronize()
    {6, 512, 0, 0, 0, 0, 15},	//99 Akonadi::AgentInstance::synchronizeCollectionTree()
    {6, 398, 65, 1, 0, 8, 16},	//100 Akonadi::AgentInstance::operator=(const Akonadi::AgentInstance&)
    {6, 400, 65, 1, Smoke::mf_const, 195, 17},	//101 Akonadi::AgentInstance::operator==(const Akonadi::AgentInstance&) const
    {6, 205, 0, 0, Smoke::mf_const, 0, 18},	//102 Akonadi::AgentInstance::abortCurrentTask() const
    {6, 417, 0, 0, Smoke::mf_const, 0, 19},	//103 Akonadi::AgentInstance::reconfigure() const
    {6, 432, 0, 0, Smoke::mf_const, 0, 20},	//104 Akonadi::AgentInstance::restart() const
    {6, 256, 0, 0, 0, 0, 21},	//105 Akonadi::AgentInstance::configure()
    {6, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 22},	//106 Akonadi::AgentInstance::Idle (enum)
    {6, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 23},	//107 Akonadi::AgentInstance::Running (enum)
    {6, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 24},	//108 Akonadi::AgentInstance::Broken (enum)
    {6, 542, 0, 0, Smoke::mf_dtor, 0, 25 },	//109 Akonadi::AgentInstance::~AgentInstance()
    {7, 380, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 223, 1},	//110 Akonadi::AgentInstanceCreateJob::metaObject() const
    {7, 415, 1, 1, Smoke::mf_virtual, 246, 2},	//111 Akonadi::AgentInstanceCreateJob::qt_metacast(const char*)
    {7, 515, 3, 2, Smoke::mf_static, 90, 3},	//112 Akonadi::AgentInstanceCreateJob::tr(const char*, const char*)
    {7, 519, 3, 2, Smoke::mf_static, 90, 4},	//113 Akonadi::AgentInstanceCreateJob::trUtf8(const char*, const char*)
    {7, 515, 6, 3, Smoke::mf_static, 90, 5},	//114 Akonadi::AgentInstanceCreateJob::tr(const char*, const char*, int)
    {7, 519, 6, 3, Smoke::mf_static, 90, 6},	//115 Akonadi::AgentInstanceCreateJob::trUtf8(const char*, const char*, int)
    {7, 413, 10, 3, Smoke::mf_virtual, 240, 7},	//116 Akonadi::AgentInstanceCreateJob::qt_metacall(QMetaObject::Call, int, void**)
    {7, 10, 69, 2, Smoke::mf_ctor, 11, 8},	//117 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const Akonadi::AgentType&, QObject*)
    {7, 10, 72, 2, Smoke::mf_ctor, 11, 9},	//118 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const QString&, QObject*)
    {7, 256, 67, 1, 0, 0, 10},	//119 Akonadi::AgentInstanceCreateJob::configure(QWidget*)
    {7, 333, 0, 0, Smoke::mf_const, 7, 11},	//120 Akonadi::AgentInstanceCreateJob::instance() const
    {7, 497, 0, 0, Smoke::mf_virtual, 0, 12},	//121 Akonadi::AgentInstanceCreateJob::start()
    {7, 515, 1, 1, Smoke::mf_static, 90, 13},	//122 Akonadi::AgentInstanceCreateJob::tr(const char*)
    {7, 519, 1, 1, Smoke::mf_static, 90, 14},	//123 Akonadi::AgentInstanceCreateJob::trUtf8(const char*)
    {7, 10, 75, 1, Smoke::mf_ctor, 11, 15},	//124 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const Akonadi::AgentType&)
    {7, 10, 18, 1, Smoke::mf_ctor, 11, 16},	//125 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const QString&)
    {7, 256, 0, 0, 0, 0, 17},	//126 Akonadi::AgentInstanceCreateJob::configure()
    {7, 498, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 222, 18},	//127 Akonadi::AgentInstanceCreateJob::staticMetaObject() const
    {7, 543, 0, 0, Smoke::mf_dtor, 0, 19 },	//128 Akonadi::AgentInstanceCreateJob::~AgentInstanceCreateJob()
    {8, 380, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 223, 1},	//129 Akonadi::AgentInstanceModel::metaObject() const
    {8, 415, 1, 1, Smoke::mf_virtual, 246, 2},	//130 Akonadi::AgentInstanceModel::qt_metacast(const char*)
    {8, 515, 3, 2, Smoke::mf_static, 90, 3},	//131 Akonadi::AgentInstanceModel::tr(const char*, const char*)
    {8, 519, 3, 2, Smoke::mf_static, 90, 4},	//132 Akonadi::AgentInstanceModel::trUtf8(const char*, const char*)
    {8, 515, 6, 3, Smoke::mf_static, 90, 5},	//133 Akonadi::AgentInstanceModel::tr(const char*, const char*, int)
    {8, 519, 6, 3, Smoke::mf_static, 90, 6},	//134 Akonadi::AgentInstanceModel::trUtf8(const char*, const char*, int)
    {8, 413, 10, 3, Smoke::mf_virtual, 240, 7},	//135 Akonadi::AgentInstanceModel::qt_metacall(QMetaObject::Call, int, void**)
    {8, 15, 60, 1, Smoke::mf_ctor, 12, 8},	//136 Akonadi::AgentInstanceModel::AgentInstanceModel(QObject*)
    {8, 250, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 240, 9},	//137 Akonadi::AgentInstanceModel::columnCount(const QModelIndex&) const
    {8, 436, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 240, 10},	//138 Akonadi::AgentInstanceModel::rowCount(const QModelIndex&) const
    {8, 270, 79, 2, Smoke::mf_const|Smoke::mf_virtual, 96, 11},	//139 Akonadi::AgentInstanceModel::data(const QModelIndex&, int) const
    {8, 316, 82, 3, Smoke::mf_const|Smoke::mf_virtual, 96, 12},	//140 Akonadi::AgentInstanceModel::headerData(int, Qt::Orientation, int) const
    {8, 325, 86, 3, Smoke::mf_const|Smoke::mf_virtual, 79, 13},	//141 Akonadi::AgentInstanceModel::index(int, int, const QModelIndex&) const
    {8, 405, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 79, 14},	//142 Akonadi::AgentInstanceModel::parent(const QModelIndex&) const
    {8, 305, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 64, 15},	//143 Akonadi::AgentInstanceModel::flags(const QModelIndex&) const
    {8, 450, 90, 3, Smoke::mf_virtual, 195, 16},	//144 Akonadi::AgentInstanceModel::setData(const QModelIndex&, const QVariant&, int)
    {8, 515, 1, 1, Smoke::mf_static, 90, 17},	//145 Akonadi::AgentInstanceModel::tr(const char*)
    {8, 519, 1, 1, Smoke::mf_static, 90, 18},	//146 Akonadi::AgentInstanceModel::trUtf8(const char*)
    {8, 15, 0, 0, Smoke::mf_ctor, 12, 19},	//147 Akonadi::AgentInstanceModel::AgentInstanceModel()
    {8, 250, 0, 0, Smoke::mf_const, 240, 20},	//148 Akonadi::AgentInstanceModel::columnCount() const
    {8, 436, 0, 0, Smoke::mf_const, 240, 21},	//149 Akonadi::AgentInstanceModel::rowCount() const
    {8, 270, 77, 1, Smoke::mf_const, 96, 22},	//150 Akonadi::AgentInstanceModel::data(const QModelIndex&) const
    {8, 316, 94, 2, Smoke::mf_const, 96, 23},	//151 Akonadi::AgentInstanceModel::headerData(int, Qt::Orientation) const
    {8, 325, 97, 2, Smoke::mf_const, 79, 24},	//152 Akonadi::AgentInstanceModel::index(int, int) const
    {8, 498, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 222, 25},	//153 Akonadi::AgentInstanceModel::staticMetaObject() const
    {8, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 26},	//154 Akonadi::AgentInstanceModel::TypeRole (enum)
    {8, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 27},	//155 Akonadi::AgentInstanceModel::TypeIdentifierRole (enum)
    {8, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 28},	//156 Akonadi::AgentInstanceModel::DescriptionRole (enum)
    {8, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 29},	//157 Akonadi::AgentInstanceModel::MimeTypesRole (enum)
    {8, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 30},	//158 Akonadi::AgentInstanceModel::CapabilitiesRole (enum)
    {8, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 31},	//159 Akonadi::AgentInstanceModel::InstanceRole (enum)
    {8, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 32},	//160 Akonadi::AgentInstanceModel::InstanceIdentifierRole (enum)
    {8, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 33},	//161 Akonadi::AgentInstanceModel::StatusRole (enum)
    {8, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 34},	//162 Akonadi::AgentInstanceModel::StatusMessageRole (enum)
    {8, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 35},	//163 Akonadi::AgentInstanceModel::ProgressRole (enum)
    {8, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 36},	//164 Akonadi::AgentInstanceModel::OnlineRole (enum)
    {8, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 37},	//165 Akonadi::AgentInstanceModel::UserRole (enum)
    {8, 544, 0, 0, Smoke::mf_dtor, 0, 38 },	//166 Akonadi::AgentInstanceModel::~AgentInstanceModel()
    {9, 380, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 223, 1},	//167 Akonadi::AgentInstanceWidget::metaObject() const
    {9, 415, 1, 1, Smoke::mf_virtual, 246, 2},	//168 Akonadi::AgentInstanceWidget::qt_metacast(const char*)
    {9, 515, 3, 2, Smoke::mf_static, 90, 3},	//169 Akonadi::AgentInstanceWidget::tr(const char*, const char*)
    {9, 519, 3, 2, Smoke::mf_static, 90, 4},	//170 Akonadi::AgentInstanceWidget::trUtf8(const char*, const char*)
    {9, 515, 6, 3, Smoke::mf_static, 90, 5},	//171 Akonadi::AgentInstanceWidget::tr(const char*, const char*, int)
    {9, 519, 6, 3, Smoke::mf_static, 90, 6},	//172 Akonadi::AgentInstanceWidget::trUtf8(const char*, const char*, int)
    {9, 413, 10, 3, Smoke::mf_virtual, 240, 7},	//173 Akonadi::AgentInstanceWidget::qt_metacall(QMetaObject::Call, int, void**)
    {9, 17, 67, 1, Smoke::mf_ctor, 14, 8},	//174 Akonadi::AgentInstanceWidget::AgentInstanceWidget(QWidget*)
    {9, 264, 0, 0, Smoke::mf_const, 7, 9},	//175 Akonadi::AgentInstanceWidget::currentAgentInstance() const
    {9, 438, 0, 0, Smoke::mf_const, 72, 10},	//176 Akonadi::AgentInstanceWidget::selectedAgentInstances() const
    {9, 219, 0, 0, Smoke::mf_const, 6, 11},	//177 Akonadi::AgentInstanceWidget::agentFilterProxyModel() const
    {9, 532, 0, 0, Smoke::mf_const, 49, 12},	//178 Akonadi::AgentInstanceWidget::view() const
    {9, 266, 100, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 13},	//179 Akonadi::AgentInstanceWidget::currentChanged(const Akonadi::AgentInstance&, const Akonadi::AgentInstance&)
    {9, 285, 65, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 14},	//180 Akonadi::AgentInstanceWidget::doubleClicked(const Akonadi::AgentInstance&)
    {9, 515, 1, 1, Smoke::mf_static, 90, 15},	//181 Akonadi::AgentInstanceWidget::tr(const char*)
    {9, 519, 1, 1, Smoke::mf_static, 90, 16},	//182 Akonadi::AgentInstanceWidget::trUtf8(const char*)
    {9, 17, 0, 0, Smoke::mf_ctor, 14, 17},	//183 Akonadi::AgentInstanceWidget::AgentInstanceWidget()
    {9, 498, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 222, 18},	//184 Akonadi::AgentInstanceWidget::staticMetaObject() const
    {9, 545, 0, 0, Smoke::mf_dtor, 0, 19 },	//185 Akonadi::AgentInstanceWidget::~AgentInstanceWidget()
    {10, 380, 0, 0, Smoke::mf_const, 223, 1},	//186 Akonadi::AgentManager::metaObject() const
    {10, 415, 1, 1, 0, 246, 2},	//187 Akonadi::AgentManager::qt_metacast(const char*)
    {10, 515, 3, 2, Smoke::mf_static, 90, 3},	//188 Akonadi::AgentManager::tr(const char*, const char*)
    {10, 519, 3, 2, Smoke::mf_static, 90, 4},	//189 Akonadi::AgentManager::trUtf8(const char*, const char*)
    {10, 515, 6, 3, Smoke::mf_static, 90, 5},	//190 Akonadi::AgentManager::tr(const char*, const char*, int)
    {10, 519, 6, 3, Smoke::mf_static, 90, 6},	//191 Akonadi::AgentManager::trUtf8(const char*, const char*, int)
    {10, 413, 10, 3, 0, 240, 7},	//192 Akonadi::AgentManager::qt_metacall(QMetaObject::Call, int, void**)
    {10, 439, 0, 0, Smoke::mf_static, 15, 8},	//193 Akonadi::AgentManager::self()
    {10, 529, 0, 0, Smoke::mf_const, 73, 9},	//194 Akonadi::AgentManager::types() const
    {10, 523, 18, 1, Smoke::mf_const, 16, 10},	//195 Akonadi::AgentManager::type(const QString&) const
    {10, 351, 0, 0, Smoke::mf_const, 72, 11},	//196 Akonadi::AgentManager::instances() const
    {10, 333, 18, 1, Smoke::mf_const, 7, 12},	//197 Akonadi::AgentManager::instance(const QString&) const
    {10, 427, 65, 1, 0, 0, 13},	//198 Akonadi::AgentManager::removeInstance(const Akonadi::AgentInstance&)
    {10, 509, 43, 1, 0, 0, 14},	//199 Akonadi::AgentManager::synchronizeCollection(const Akonadi::Collection&)
    {10, 509, 103, 2, 0, 0, 15},	//200 Akonadi::AgentManager::synchronizeCollection(const Akonadi::Collection&, bool)
    {10, 525, 75, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//201 Akonadi::AgentManager::typeAdded(const Akonadi::AgentType&)
    {10, 527, 75, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//202 Akonadi::AgentManager::typeRemoved(const Akonadi::AgentType&)
    {10, 335, 65, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//203 Akonadi::AgentManager::instanceAdded(const Akonadi::AgentInstance&)
    {10, 345, 65, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//204 Akonadi::AgentManager::instanceRemoved(const Akonadi::AgentInstance&)
    {10, 347, 65, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//205 Akonadi::AgentManager::instanceStatusChanged(const Akonadi::AgentInstance&)
    {10, 343, 65, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//206 Akonadi::AgentManager::instanceProgressChanged(const Akonadi::AgentInstance&)
    {10, 339, 65, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//207 Akonadi::AgentManager::instanceNameChanged(const Akonadi::AgentInstance&)
    {10, 337, 106, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//208 Akonadi::AgentManager::instanceError(const Akonadi::AgentInstance&, const QString&)
    {10, 349, 106, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//209 Akonadi::AgentManager::instanceWarning(const Akonadi::AgentInstance&, const QString&)
    {10, 341, 109, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//210 Akonadi::AgentManager::instanceOnline(const Akonadi::AgentInstance&, bool)
    {10, 515, 1, 1, Smoke::mf_static, 90, 26},	//211 Akonadi::AgentManager::tr(const char*)
    {10, 519, 1, 1, Smoke::mf_static, 90, 27},	//212 Akonadi::AgentManager::trUtf8(const char*)
    {10, 498, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 222, 28},	//213 Akonadi::AgentManager::staticMetaObject() const
    {10, 546, 0, 0, Smoke::mf_dtor, 0, 29 },	//214 Akonadi::AgentManager::~AgentManager()
    {11, 19, 0, 0, Smoke::mf_ctor, 18, 1},	//215 Akonadi::AgentType::AgentType()
    {11, 19, 75, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 18, 2},	//216 Akonadi::AgentType::AgentType(const Akonadi::AgentType&)
    {11, 354, 0, 0, Smoke::mf_const, 195, 3},	//217 Akonadi::AgentType::isValid() const
    {11, 324, 0, 0, Smoke::mf_const, 90, 4},	//218 Akonadi::AgentType::identifier() const
    {11, 391, 0, 0, Smoke::mf_const, 90, 5},	//219 Akonadi::AgentType::name() const
    {11, 273, 0, 0, Smoke::mf_const, 90, 6},	//220 Akonadi::AgentType::description() const
    {11, 322, 0, 0, Smoke::mf_const, 90, 7},	//221 Akonadi::AgentType::iconName() const
    {11, 321, 0, 0, Smoke::mf_const, 68, 8},	//222 Akonadi::AgentType::icon() const
    {11, 384, 0, 0, Smoke::mf_const, 91, 9},	//223 Akonadi::AgentType::mimeTypes() const
    {11, 231, 0, 0, Smoke::mf_const, 91, 10},	//224 Akonadi::AgentType::capabilities() const
    {11, 398, 75, 1, 0, 17, 11},	//225 Akonadi::AgentType::operator=(const Akonadi::AgentType&)
    {11, 400, 75, 1, Smoke::mf_const, 195, 12},	//226 Akonadi::AgentType::operator==(const Akonadi::AgentType&) const
    {11, 547, 0, 0, Smoke::mf_dtor, 0, 13 },	//227 Akonadi::AgentType::~AgentType()
    {12, 380, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 223, 1},	//228 Akonadi::AgentTypeDialog::metaObject() const
    {12, 415, 1, 1, Smoke::mf_virtual, 246, 2},	//229 Akonadi::AgentTypeDialog::qt_metacast(const char*)
    {12, 515, 3, 2, Smoke::mf_static, 90, 3},	//230 Akonadi::AgentTypeDialog::tr(const char*, const char*)
    {12, 519, 3, 2, Smoke::mf_static, 90, 4},	//231 Akonadi::AgentTypeDialog::trUtf8(const char*, const char*)
    {12, 515, 6, 3, Smoke::mf_static, 90, 5},	//232 Akonadi::AgentTypeDialog::tr(const char*, const char*, int)
    {12, 519, 6, 3, Smoke::mf_static, 90, 6},	//233 Akonadi::AgentTypeDialog::trUtf8(const char*, const char*, int)
    {12, 413, 10, 3, Smoke::mf_virtual, 240, 7},	//234 Akonadi::AgentTypeDialog::qt_metacall(QMetaObject::Call, int, void**)
    {12, 21, 67, 1, Smoke::mf_ctor, 19, 8},	//235 Akonadi::AgentTypeDialog::AgentTypeDialog(QWidget*)
    {12, 223, 0, 0, Smoke::mf_const, 16, 9},	//236 Akonadi::AgentTypeDialog::agentType() const
    {12, 219, 0, 0, Smoke::mf_const, 6, 10},	//237 Akonadi::AgentTypeDialog::agentFilterProxyModel() const
    {12, 283, 23, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 11},	//238 Akonadi::AgentTypeDialog::done(int)
    {12, 515, 1, 1, Smoke::mf_static, 90, 12},	//239 Akonadi::AgentTypeDialog::tr(const char*)
    {12, 519, 1, 1, Smoke::mf_static, 90, 13},	//240 Akonadi::AgentTypeDialog::trUtf8(const char*)
    {12, 21, 0, 0, Smoke::mf_ctor, 19, 14},	//241 Akonadi::AgentTypeDialog::AgentTypeDialog()
    {12, 498, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 222, 15},	//242 Akonadi::AgentTypeDialog::staticMetaObject() const
    {12, 548, 0, 0, Smoke::mf_dtor, 0, 16 },	//243 Akonadi::AgentTypeDialog::~AgentTypeDialog()
    {13, 380, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 223, 1},	//244 Akonadi::AgentTypeModel::metaObject() const
    {13, 415, 1, 1, Smoke::mf_virtual, 246, 2},	//245 Akonadi::AgentTypeModel::qt_metacast(const char*)
    {13, 515, 3, 2, Smoke::mf_static, 90, 3},	//246 Akonadi::AgentTypeModel::tr(const char*, const char*)
    {13, 519, 3, 2, Smoke::mf_static, 90, 4},	//247 Akonadi::AgentTypeModel::trUtf8(const char*, const char*)
    {13, 515, 6, 3, Smoke::mf_static, 90, 5},	//248 Akonadi::AgentTypeModel::tr(const char*, const char*, int)
    {13, 519, 6, 3, Smoke::mf_static, 90, 6},	//249 Akonadi::AgentTypeModel::trUtf8(const char*, const char*, int)
    {13, 413, 10, 3, Smoke::mf_virtual, 240, 7},	//250 Akonadi::AgentTypeModel::qt_metacall(QMetaObject::Call, int, void**)
    {13, 23, 60, 1, Smoke::mf_ctor, 20, 8},	//251 Akonadi::AgentTypeModel::AgentTypeModel(QObject*)
    {13, 250, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 240, 9},	//252 Akonadi::AgentTypeModel::columnCount(const QModelIndex&) const
    {13, 436, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 240, 10},	//253 Akonadi::AgentTypeModel::rowCount(const QModelIndex&) const
    {13, 270, 79, 2, Smoke::mf_const|Smoke::mf_virtual, 96, 11},	//254 Akonadi::AgentTypeModel::data(const QModelIndex&, int) const
    {13, 325, 86, 3, Smoke::mf_const|Smoke::mf_virtual, 79, 12},	//255 Akonadi::AgentTypeModel::index(int, int, const QModelIndex&) const
    {13, 405, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 79, 13},	//256 Akonadi::AgentTypeModel::parent(const QModelIndex&) const
    {13, 305, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 64, 14},	//257 Akonadi::AgentTypeModel::flags(const QModelIndex&) const
    {13, 515, 1, 1, Smoke::mf_static, 90, 15},	//258 Akonadi::AgentTypeModel::tr(const char*)
    {13, 519, 1, 1, Smoke::mf_static, 90, 16},	//259 Akonadi::AgentTypeModel::trUtf8(const char*)
    {13, 23, 0, 0, Smoke::mf_ctor, 20, 17},	//260 Akonadi::AgentTypeModel::AgentTypeModel()
    {13, 250, 0, 0, Smoke::mf_const, 240, 18},	//261 Akonadi::AgentTypeModel::columnCount() const
    {13, 436, 0, 0, Smoke::mf_const, 240, 19},	//262 Akonadi::AgentTypeModel::rowCount() const
    {13, 270, 77, 1, Smoke::mf_const, 96, 20},	//263 Akonadi::AgentTypeModel::data(const QModelIndex&) const
    {13, 325, 97, 2, Smoke::mf_const, 79, 21},	//264 Akonadi::AgentTypeModel::index(int, int) const
    {13, 498, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 222, 22},	//265 Akonadi::AgentTypeModel::staticMetaObject() const
    {13, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 23},	//266 Akonadi::AgentTypeModel::TypeRole (enum)
    {13, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 24},	//267 Akonadi::AgentTypeModel::IdentifierRole (enum)
    {13, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 25},	//268 Akonadi::AgentTypeModel::DescriptionRole (enum)
    {13, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 26},	//269 Akonadi::AgentTypeModel::MimeTypesRole (enum)
    {13, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 27},	//270 Akonadi::AgentTypeModel::CapabilitiesRole (enum)
    {13, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 28},	//271 Akonadi::AgentTypeModel::UserRole (enum)
    {13, 549, 0, 0, Smoke::mf_dtor, 0, 29 },	//272 Akonadi::AgentTypeModel::~AgentTypeModel()
    {14, 380, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 223, 1},	//273 Akonadi::AgentTypeWidget::metaObject() const
    {14, 415, 1, 1, Smoke::mf_virtual, 246, 2},	//274 Akonadi::AgentTypeWidget::qt_metacast(const char*)
    {14, 515, 3, 2, Smoke::mf_static, 90, 3},	//275 Akonadi::AgentTypeWidget::tr(const char*, const char*)
    {14, 519, 3, 2, Smoke::mf_static, 90, 4},	//276 Akonadi::AgentTypeWidget::trUtf8(const char*, const char*)
    {14, 515, 6, 3, Smoke::mf_static, 90, 5},	//277 Akonadi::AgentTypeWidget::tr(const char*, const char*, int)
    {14, 519, 6, 3, Smoke::mf_static, 90, 6},	//278 Akonadi::AgentTypeWidget::trUtf8(const char*, const char*, int)
    {14, 413, 10, 3, Smoke::mf_virtual, 240, 7},	//279 Akonadi::AgentTypeWidget::qt_metacall(QMetaObject::Call, int, void**)
    {14, 25, 67, 1, Smoke::mf_ctor, 22, 8},	//280 Akonadi::AgentTypeWidget::AgentTypeWidget(QWidget*)
    {14, 265, 0, 0, Smoke::mf_const, 16, 9},	//281 Akonadi::AgentTypeWidget::currentAgentType() const
    {14, 219, 0, 0, Smoke::mf_const, 6, 10},	//282 Akonadi::AgentTypeWidget::agentFilterProxyModel() const
    {14, 266, 112, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//283 Akonadi::AgentTypeWidget::currentChanged(const Akonadi::AgentType&, const Akonadi::AgentType&)
    {14, 210, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//284 Akonadi::AgentTypeWidget::activated()
    {14, 515, 1, 1, Smoke::mf_static, 90, 13},	//285 Akonadi::AgentTypeWidget::tr(const char*)
    {14, 519, 1, 1, Smoke::mf_static, 90, 14},	//286 Akonadi::AgentTypeWidget::trUtf8(const char*)
    {14, 25, 0, 0, Smoke::mf_ctor, 22, 15},	//287 Akonadi::AgentTypeWidget::AgentTypeWidget()
    {14, 498, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 222, 16},	//288 Akonadi::AgentTypeWidget::staticMetaObject() const
    {14, 550, 0, 0, Smoke::mf_dtor, 0, 17 },	//289 Akonadi::AgentTypeWidget::~AgentTypeWidget()
    {15, 523, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 52, 1},	//290 Akonadi::Attribute::type() const [pure virtual]
    {15, 239, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 23, 2},	//291 Akonadi::Attribute::clone() const [pure virtual]
    {15, 440, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 52, 3},	//292 Akonadi::Attribute::serialized() const [pure virtual]
    {15, 274, 115, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//293 Akonadi::Attribute::deserialize(const QByteArray&) [pure virtual]
    {15, 30, 0, 0, Smoke::mf_ctor, 23, 5},	//294 Akonadi::Attribute::Attribute()
    {15, 30, 117, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 23, 6},	//295 Akonadi::Attribute::Attribute(const Akonadi::Attribute&)
    {15, 551, 0, 0, Smoke::mf_dtor, 0, 7 },	//296 Akonadi::Attribute::~Attribute()
    {16, 262, 115, 1, Smoke::mf_static, 23, 1},	//297 Akonadi::AttributeFactory::createAttribute(const QByteArray&)
    {16, 32, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 24, 2},	//298 Akonadi::AttributeFactory::AttributeFactory()
    {16, 32, 119, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 24, 3},	//299 Akonadi::AttributeFactory::AttributeFactory(const Akonadi::AttributeFactory&)
    {16, 552, 0, 0, Smoke::mf_dtor, 0, 4 },	//300 Akonadi::AttributeFactory::~AttributeFactory()
    {17, 36, 0, 0, Smoke::mf_ctor, 27, 1},	//301 Akonadi::CachePolicy::CachePolicy()
    {17, 36, 121, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 27, 2},	//302 Akonadi::CachePolicy::CachePolicy(const Akonadi::CachePolicy&)
    {17, 328, 0, 0, Smoke::mf_const, 195, 3},	//303 Akonadi::CachePolicy::inheritFromParent() const
    {17, 455, 27, 1, 0, 0, 4},	//304 Akonadi::CachePolicy::setInheritFromParent(bool)
    {17, 374, 0, 0, Smoke::mf_const, 91, 5},	//305 Akonadi::CachePolicy::localParts() const
    {17, 462, 123, 1, 0, 0, 6},	//306 Akonadi::CachePolicy::setLocalParts(const QStringList&)
    {17, 229, 0, 0, Smoke::mf_const, 240, 7},	//307 Akonadi::CachePolicy::cacheTimeout() const
    {17, 445, 23, 1, 0, 0, 8},	//308 Akonadi::CachePolicy::setCacheTimeout(int)
    {17, 352, 0, 0, Smoke::mf_const, 240, 9},	//309 Akonadi::CachePolicy::intervalCheckTime() const
    {17, 457, 23, 1, 0, 0, 10},	//310 Akonadi::CachePolicy::setIntervalCheckTime(int)
    {17, 507, 0, 0, Smoke::mf_const, 195, 11},	//311 Akonadi::CachePolicy::syncOnDemand() const
    {17, 489, 27, 1, 0, 0, 12},	//312 Akonadi::CachePolicy::setSyncOnDemand(bool)
    {17, 398, 121, 1, 0, 26, 13},	//313 Akonadi::CachePolicy::operator=(const Akonadi::CachePolicy&)
    {17, 400, 121, 1, Smoke::mf_const, 195, 14},	//314 Akonadi::CachePolicy::operator==(const Akonadi::CachePolicy&) const
    {17, 553, 0, 0, Smoke::mf_dtor, 0, 15 },	//315 Akonadi::CachePolicy::~CachePolicy()
    {19, 49, 0, 0, Smoke::mf_ctor, 31, 1},	//316 Akonadi::Collection::Collection()
    {19, 49, 125, 1, Smoke::mf_ctor, 31, 2},	//317 Akonadi::Collection::Collection(long long)
    {19, 49, 43, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 3},	//318 Akonadi::Collection::Collection(const Akonadi::Collection&)
    {19, 311, 127, 1, Smoke::mf_static, 29, 4},	//319 Akonadi::Collection::fromUrl(const KUrl&)
    {19, 391, 0, 0, Smoke::mf_const, 90, 5},	//320 Akonadi::Collection::name() const
    {19, 464, 18, 1, 0, 0, 6},	//321 Akonadi::Collection::setName(const QString&)
    {19, 434, 0, 0, Smoke::mf_const, 62, 7},	//322 Akonadi::Collection::rights() const
    {19, 484, 129, 1, 0, 0, 8},	//323 Akonadi::Collection::setRights(QFlags<Akonadi::Collection::Right>)
    {19, 260, 0, 0, Smoke::mf_const, 91, 9},	//324 Akonadi::Collection::contentMimeTypes() const
    {19, 448, 123, 1, 0, 0, 10},	//325 Akonadi::Collection::setContentMimeTypes(const QStringList&)
    {19, 405, 0, 0, Smoke::mf_const, 242, 11},	//326 Akonadi::Collection::parent() const
    {19, 470, 125, 1, 0, 0, 12},	//327 Akonadi::Collection::setParent(long long)
    {19, 470, 43, 1, 0, 0, 13},	//328 Akonadi::Collection::setParent(const Akonadi::Collection&)
    {19, 408, 0, 0, Smoke::mf_const, 90, 14},	//329 Akonadi::Collection::parentRemoteId() const
    {19, 475, 18, 1, 0, 0, 15},	//330 Akonadi::Collection::setParentRemoteId(const QString&)
    {19, 435, 0, 0, Smoke::mf_static, 29, 16},	//331 Akonadi::Collection::root()
    {19, 383, 0, 0, Smoke::mf_static, 90, 17},	//332 Akonadi::Collection::mimeType()
    {19, 431, 0, 0, Smoke::mf_const, 90, 18},	//333 Akonadi::Collection::resource() const
    {19, 482, 18, 1, 0, 0, 19},	//334 Akonadi::Collection::setResource(const QString&)
    {19, 228, 0, 0, Smoke::mf_const, 25, 20},	//335 Akonadi::Collection::cachePolicy() const
    {19, 443, 121, 1, 0, 0, 21},	//336 Akonadi::Collection::setCachePolicy(const Akonadi::CachePolicy&)
    {19, 499, 0, 0, Smoke::mf_const, 34, 22},	//337 Akonadi::Collection::statistics() const
    {19, 487, 131, 1, 0, 0, 23},	//338 Akonadi::Collection::setStatistics(const Akonadi::CollectionStatistics&)
    {19, 530, 0, 0, Smoke::mf_const, 47, 24},	//339 Akonadi::Collection::url() const
    {19, 530, 133, 1, Smoke::mf_const, 47, 25},	//340 Akonadi::Collection::url(Akonadi::Collection::UrlType) const
    {19, 355, 0, 0, Smoke::mf_const, 195, 26},	//341 Akonadi::Collection::isVirtual() const
    {19, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 27},	//342 Akonadi::Collection::ReadOnly (enum)
    {19, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 28},	//343 Akonadi::Collection::CanChangeItem (enum)
    {19, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 29},	//344 Akonadi::Collection::CanCreateItem (enum)
    {19, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 30},	//345 Akonadi::Collection::CanDeleteItem (enum)
    {19, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 31},	//346 Akonadi::Collection::CanChangeCollection (enum)
    {19, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 32},	//347 Akonadi::Collection::CanCreateCollection (enum)
    {19, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 33},	//348 Akonadi::Collection::CanDeleteCollection (enum)
    {19, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 34},	//349 Akonadi::Collection::CanLinkItem (enum)
    {19, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 35},	//350 Akonadi::Collection::CanUnlinkItem (enum)
    {19, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 36},	//351 Akonadi::Collection::AllRights (enum)
    {19, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 37},	//352 Akonadi::Collection::UrlShort (enum)
    {19, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 38},	//353 Akonadi::Collection::UrlWithName (enum)
    {19, 554, 0, 0, Smoke::mf_dtor, 0, 39 },	//354 Akonadi::Collection::~Collection()
    {21, 453, 125, 1, 0, 0, 1},	//355 Akonadi::Entity::setId(long long)
    {21, 323, 0, 0, Smoke::mf_const, 242, 2},	//356 Akonadi::Entity::id() const
    {21, 478, 18, 1, 0, 0, 3},	//357 Akonadi::Entity::setRemoteId(const QString&)
    {21, 422, 0, 0, Smoke::mf_const, 90, 4},	//358 Akonadi::Entity::remoteId() const
    {21, 480, 18, 1, 0, 0, 5},	//359 Akonadi::Entity::setRemoteRevision(const QString&)
    {21, 423, 0, 0, Smoke::mf_const, 90, 6},	//360 Akonadi::Entity::remoteRevision() const
    {21, 354, 0, 0, Smoke::mf_const, 195, 7},	//361 Akonadi::Entity::isValid() const
    {21, 400, 135, 1, Smoke::mf_const, 195, 8},	//362 Akonadi::Entity::operator==(const Akonadi::Entity&) const
    {21, 394, 135, 1, Smoke::mf_const, 195, 9},	//363 Akonadi::Entity::operator!=(const Akonadi::Entity&) const
    {21, 398, 135, 1, 0, 35, 10},	//364 Akonadi::Entity::operator=(const Akonadi::Entity&)
    {21, 396, 135, 1, Smoke::mf_const, 195, 11},	//365 Akonadi::Entity::operator<(const Akonadi::Entity&) const
    {21, 407, 0, 0, Smoke::mf_const, 29, 12},	//366 Akonadi::Entity::parentCollection() const
    {21, 407, 0, 0, 0, 30, 13},	//367 Akonadi::Entity::parentCollection()
    {21, 473, 43, 1, 0, 0, 14},	//368 Akonadi::Entity::setParentCollection(const Akonadi::Collection&)
    {21, 211, 137, 1, 0, 0, 15},	//369 Akonadi::Entity::addAttribute(Akonadi::Attribute*)
    {21, 424, 115, 1, 0, 0, 16},	//370 Akonadi::Entity::removeAttribute(const QByteArray&)
    {21, 313, 115, 1, Smoke::mf_const, 195, 17},	//371 Akonadi::Entity::hasAttribute(const QByteArray&) const
    {21, 226, 0, 0, Smoke::mf_const, 74, 18},	//372 Akonadi::Entity::attributes() const
    {21, 237, 0, 0, 0, 0, 19},	//373 Akonadi::Entity::clearAttributes()
    {21, 224, 115, 1, Smoke::mf_const, 23, 20},	//374 Akonadi::Entity::attribute(const QByteArray&) const
    {21, 60, 135, 1, Smoke::mf_ctor|Smoke::mf_protected|Smoke::mf_copyctor, 36, 21},	//375 Akonadi::Entity::Entity(const Akonadi::Entity&)
    {21, 60, 139, 1, Smoke::mf_ctor|Smoke::mf_protected, 36, 22},	//376 Akonadi::Entity::Entity(Akonadi::EntityPrivate*)
    {21, 269, 0, 0, Smoke::mf_protected, 38, 23},	//377 Akonadi::Entity::d_func()
    {21, 269, 0, 0, Smoke::mf_const|Smoke::mf_protected, 211, 24},	//378 Akonadi::Entity::d_func() const
    {21, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 25},	//379 Akonadi::Entity::AddIfMissing (enum)
    {21, 555, 0, 0, Smoke::mf_dtor, 0, 26 },	//380 Akonadi::Entity::~Entity()
    {23, 62, 1, 1, Smoke::mf_ctor, 39, 1},	//381 Akonadi::Exception::Exception(const char*)
    {23, 62, 115, 1, Smoke::mf_ctor, 39, 2},	//382 Akonadi::Exception::Exception(const QByteArray&)
    {23, 62, 18, 1, Smoke::mf_ctor, 39, 3},	//383 Akonadi::Exception::Exception(const QString&)
    {23, 62, 141, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 39, 4},	//384 Akonadi::Exception::Exception(const Akonadi::Exception&)
    {23, 535, 0, 0, Smoke::mf_const, 237, 5},	//385 Akonadi::Exception::what() const
    {23, 523, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 52, 6},	//386 Akonadi::Exception::type() const
    {23, 556, 0, 0, Smoke::mf_dtor, 0, 7 },	//387 Akonadi::Exception::~Exception()
    {25, 109, 1, 1, Smoke::mf_ctor, 40, 1},	//388 Akonadi::PayloadException::PayloadException(const char*)
    {25, 109, 115, 1, Smoke::mf_ctor, 40, 2},	//389 Akonadi::PayloadException::PayloadException(const QByteArray&)
    {25, 109, 18, 1, Smoke::mf_ctor, 40, 3},	//390 Akonadi::PayloadException::PayloadException(const QString&)
    {25, 523, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 52, 4},	//391 Akonadi::PayloadException::type() const
    {25, 109, 143, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 40, 5},	//392 Akonadi::PayloadException::PayloadException(const Akonadi::PayloadException&)
    {25, 559, 0, 0, Smoke::mf_dtor, 0, 6 },	//393 Akonadi::PayloadException::~PayloadException()
    {28, 493, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 89, 0},	//394 KDialog::sizeHint() const
    {28, 385, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 89, 0},	//395 KDialog::minimumSizeHint() const
    {28, 447, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//396 KDialog::setCaption(const QString&)
    {28, 447, 145, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//397 KDialog::setCaption(const QString&, bool)
    {28, 477, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//398 KDialog::setPlainCaption(const QString&)
    {28, 320, 148, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//399 KDialog::hideEvent(QHideEvent*)
    {28, 240, 150, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//400 KDialog::closeEvent(QCloseEvent*)
    {28, 369, 152, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//401 KDialog::keyPressEvent(QKeyEvent*)
    {28, 494, 23, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//402 KDialog::slotButtonClicked(int)
    {29, 278, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 195, 0},	//403 KJob::doKill()
    {29, 282, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 195, 0},	//404 KJob::doSuspend()
    {29, 279, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 195, 0},	//405 KJob::doResume()
    {29, 296, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 90, 0},	//406 KJob::errorString() const
    {29, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 5},	//407 KJob::NoError (enum)
    {29, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 6},	//408 KJob::KilledJobError (enum)
    {29, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 7},	//409 KJob::UserDefinedError (enum)
    {33, 315, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 195, 0},	//410 QAbstractItemModel::hasChildren(const QModelIndex&) const
    {33, 450, 90, 3, Smoke::mf_virtual, 195, 0},	//411 QAbstractItemModel::setData(const QModelIndex&, const QVariant&, int)
    {33, 316, 82, 3, Smoke::mf_const|Smoke::mf_virtual, 96, 0},	//412 QAbstractItemModel::headerData(int, Qt::Orientation, int) const
    {33, 452, 154, 4, Smoke::mf_virtual, 195, 0},	//413 QAbstractItemModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {33, 360, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 76, 0},	//414 QAbstractItemModel::itemData(const QModelIndex&) const
    {33, 461, 159, 2, Smoke::mf_virtual, 195, 0},	//415 QAbstractItemModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {33, 384, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 91, 0},	//416 QAbstractItemModel::mimeTypes() const
    {33, 382, 162, 1, Smoke::mf_const|Smoke::mf_virtual, 78, 0},	//417 QAbstractItemModel::mimeData(const QList<QModelIndex>&) const
    {33, 291, 164, 5, Smoke::mf_virtual, 195, 0},	//418 QAbstractItemModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {33, 506, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 63, 0},	//419 QAbstractItemModel::supportedDropActions() const
    {33, 332, 86, 3, Smoke::mf_virtual, 195, 0},	//420 QAbstractItemModel::insertRows(int, int, const QModelIndex&)
    {33, 331, 86, 3, Smoke::mf_virtual, 195, 0},	//421 QAbstractItemModel::insertColumns(int, int, const QModelIndex&)
    {33, 429, 86, 3, Smoke::mf_virtual, 195, 0},	//422 QAbstractItemModel::removeRows(int, int, const QModelIndex&)
    {33, 426, 86, 3, Smoke::mf_virtual, 195, 0},	//423 QAbstractItemModel::removeColumns(int, int, const QModelIndex&)
    {33, 301, 77, 1, Smoke::mf_virtual, 0, 0},	//424 QAbstractItemModel::fetchMore(const QModelIndex&)
    {33, 230, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 195, 0},	//425 QAbstractItemModel::canFetchMore(const QModelIndex&) const
    {33, 495, 170, 2, Smoke::mf_virtual, 0, 0},	//426 QAbstractItemModel::sort(int, Qt::SortOrder)
    {33, 227, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 79, 0},	//427 QAbstractItemModel::buddy(const QModelIndex&) const
    {33, 379, 173, 5, Smoke::mf_const|Smoke::mf_virtual, 75, 0},	//428 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {33, 496, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 89, 0},	//429 QAbstractItemModel::span(const QModelIndex&) const
    {33, 505, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 195, 0},	//430 QAbstractItemModel::submit()
    {33, 433, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//431 QAbstractItemModel::revert()
    {35, 505, 0, 0, Smoke::mf_virtual, 195, 0},	//432 QAbstractProxyModel::submit()
    {35, 433, 0, 0, Smoke::mf_virtual, 0, 0},	//433 QAbstractProxyModel::revert()
    {35, 360, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 76, 0},	//434 QAbstractProxyModel::itemData(const QModelIndex&) const
    {35, 461, 159, 2, Smoke::mf_virtual, 195, 0},	//435 QAbstractProxyModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {43, 491, 27, 1, Smoke::mf_virtual, 0, 0},	//436 QDialog::setVisible(bool)
    {43, 208, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//437 QDialog::accept()
    {43, 420, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//438 QDialog::reject()
    {43, 492, 179, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//439 QDialog::showEvent(QShowEvent*)
    {43, 430, 181, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//440 QDialog::resizeEvent(QResizeEvent*)
    {43, 261, 183, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//441 QDialog::contextMenuEvent(QContextMenuEvent*)
    {43, 298, 185, 2, Smoke::mf_protected|Smoke::mf_virtual, 195, 0},	//442 QDialog::eventFilter(QObject*, QEvent*)
    {51, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 1},	//443 QGlobalSpace::_CS_PATH (enum)
    {51, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 2},	//444 QGlobalSpace::_CS_V6_WIDTH_RESTRICTED_ENVS (enum)
    {51, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 3},	//445 QGlobalSpace::_CS_GNU_LIBC_VERSION (enum)
    {51, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 4},	//446 QGlobalSpace::_CS_GNU_LIBPTHREAD_VERSION (enum)
    {51, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 5},	//447 QGlobalSpace::_CS_LIBDIR (enum)
    {51, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 6},	//448 QGlobalSpace::_CS_SLIB (enum)
    {51, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 7},	//449 QGlobalSpace::_CS_V5_WIDTH_RESTRICTED_ENVS (enum)
    {51, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 8},	//450 QGlobalSpace::_CS_V7_WIDTH_RESTRICTED_ENVS (enum)
    {51, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 9},	//451 QGlobalSpace::_CS_LFS_CFLAGS (enum)
    {51, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 10},	//452 QGlobalSpace::_CS_LFS_LDFLAGS (enum)
    {51, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 11},	//453 QGlobalSpace::_CS_LFS_LIBS (enum)
    {51, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 12},	//454 QGlobalSpace::_CS_LFS_LINTFLAGS (enum)
    {51, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 13},	//455 QGlobalSpace::_CS_LFS64_CFLAGS (enum)
    {51, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 14},	//456 QGlobalSpace::_CS_LFS64_LDFLAGS (enum)
    {51, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 15},	//457 QGlobalSpace::_CS_LFS64_LIBS (enum)
    {51, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 16},	//458 QGlobalSpace::_CS_LFS64_LINTFLAGS (enum)
    {51, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 17},	//459 QGlobalSpace::_CS_XBS5_ILP32_OFF32_CFLAGS (enum)
    {51, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 18},	//460 QGlobalSpace::_CS_XBS5_ILP32_OFF32_LDFLAGS (enum)
    {51, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 19},	//461 QGlobalSpace::_CS_XBS5_ILP32_OFF32_LIBS (enum)
    {51, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 20},	//462 QGlobalSpace::_CS_XBS5_ILP32_OFF32_LINTFLAGS (enum)
    {51, 189, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 21},	//463 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_CFLAGS (enum)
    {51, 190, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 22},	//464 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LDFLAGS (enum)
    {51, 191, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 23},	//465 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LIBS (enum)
    {51, 192, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 24},	//466 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LINTFLAGS (enum)
    {51, 193, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 25},	//467 QGlobalSpace::_CS_XBS5_LP64_OFF64_CFLAGS (enum)
    {51, 194, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 26},	//468 QGlobalSpace::_CS_XBS5_LP64_OFF64_LDFLAGS (enum)
    {51, 195, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 27},	//469 QGlobalSpace::_CS_XBS5_LP64_OFF64_LIBS (enum)
    {51, 196, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 28},	//470 QGlobalSpace::_CS_XBS5_LP64_OFF64_LINTFLAGS (enum)
    {51, 197, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 29},	//471 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_CFLAGS (enum)
    {51, 198, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 30},	//472 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LDFLAGS (enum)
    {51, 199, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 31},	//473 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LIBS (enum)
    {51, 200, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 32},	//474 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS (enum)
    {51, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 33},	//475 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_CFLAGS (enum)
    {51, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 34},	//476 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LDFLAGS (enum)
    {51, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 35},	//477 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LIBS (enum)
    {51, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 36},	//478 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS (enum)
    {51, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 37},	//479 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS (enum)
    {51, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 38},	//480 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS (enum)
    {51, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 39},	//481 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LIBS (enum)
    {51, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 40},	//482 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS (enum)
    {51, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 41},	//483 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_CFLAGS (enum)
    {51, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 42},	//484 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LDFLAGS (enum)
    {51, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 43},	//485 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LIBS (enum)
    {51, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 44},	//486 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LINTFLAGS (enum)
    {51, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 45},	//487 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS (enum)
    {51, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 46},	//488 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS (enum)
    {51, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 47},	//489 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LIBS (enum)
    {51, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 48},	//490 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS (enum)
    {51, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 49},	//491 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_CFLAGS (enum)
    {51, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 50},	//492 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LDFLAGS (enum)
    {51, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 51},	//493 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LIBS (enum)
    {51, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 52},	//494 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS (enum)
    {51, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 53},	//495 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS (enum)
    {51, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 54},	//496 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS (enum)
    {51, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 55},	//497 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LIBS (enum)
    {51, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 56},	//498 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS (enum)
    {51, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 57},	//499 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_CFLAGS (enum)
    {51, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 58},	//500 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LDFLAGS (enum)
    {51, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 59},	//501 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LIBS (enum)
    {51, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 60},	//502 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LINTFLAGS (enum)
    {51, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 61},	//503 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS (enum)
    {51, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 62},	//504 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS (enum)
    {51, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 63},	//505 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LIBS (enum)
    {51, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 241, 64},	//506 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS (enum)
    {51, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 177, 65},	//507 QGlobalSpace::LicensedGui (enum)
    {51, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 190, 66},	//508 QGlobalSpace::LicensedXml (enum)
    {51, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 183, 67},	//509 QGlobalSpace::LicensedQt3SupportLight (enum)
    {51, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 185, 68},	//510 QGlobalSpace::LicensedScript (enum)
    {51, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 182, 69},	//511 QGlobalSpace::LicensedOpenVG (enum)
    {51, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 175, 70},	//512 QGlobalSpace::LicensedDBus (enum)
    {51, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 189, 71},	//513 QGlobalSpace::LicensedTest (enum)
    {51, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 173, 72},	//514 QGlobalSpace::LicensedActiveQt (enum)
    {51, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 186, 73},	//515 QGlobalSpace::LicensedScriptTools (enum)
    {51, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 188, 74},	//516 QGlobalSpace::LicensedSvg (enum)
    {51, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 176, 75},	//517 QGlobalSpace::LicensedDeclarative (enum)
    {51, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 187, 76},	//518 QGlobalSpace::LicensedSql (enum)
    {51, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 181, 77},	//519 QGlobalSpace::LicensedOpenGL (enum)
    {51, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 174, 78},	//520 QGlobalSpace::LicensedCore (enum)
    {51, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 79},	//521 QGlobalSpace::QtDebugMsg (enum)
    {51, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 80},	//522 QGlobalSpace::QtWarningMsg (enum)
    {51, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 81},	//523 QGlobalSpace::QtCriticalMsg (enum)
    {51, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 82},	//524 QGlobalSpace::QtFatalMsg (enum)
    {51, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 172, 83},	//525 QGlobalSpace::QtSystemMsg (enum)
    {51, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 178, 84},	//526 QGlobalSpace::LicensedHelp (enum)
    {51, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 179, 85},	//527 QGlobalSpace::LicensedMultimedia (enum)
    {51, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 184, 86},	//528 QGlobalSpace::LicensedQt3Support (enum)
    {51, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 191, 87},	//529 QGlobalSpace::LicensedXmlPatterns (enum)
    {51, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 180, 88},	//530 QGlobalSpace::LicensedNetwork (enum)
    {51, 203, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 89},	//531 QGlobalSpace::__codecvt_ok (enum)
    {51, 204, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 90},	//532 QGlobalSpace::__codecvt_partial (enum)
    {51, 201, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 91},	//533 QGlobalSpace::__codecvt_error (enum)
    {51, 202, 0, 0, Smoke::mf_static|Smoke::mf_enum, 194, 92},	//534 QGlobalSpace::__codecvt_noconv (enum)
    {62, 297, 188, 1, Smoke::mf_virtual, 195, 0},	//535 QObject::event(QEvent*)
    {62, 298, 185, 2, Smoke::mf_virtual, 195, 0},	//536 QObject::eventFilter(QObject*, QEvent*)
    {62, 514, 190, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//537 QObject::timerEvent(QTimerEvent*)
    {62, 235, 192, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//538 QObject::childEvent(QChildEvent*)
    {62, 268, 188, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//539 QObject::customEvent(QEvent*)
    {62, 259, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//540 QObject::connectNotify(const char*)
    {62, 277, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//541 QObject::disconnectNotify(const char*)
    {70, 486, 194, 1, Smoke::mf_virtual, 0, 0},	//542 QSortFilterProxyModel::setSourceModel(QAbstractItemModel*)
    {70, 378, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 79, 0},	//543 QSortFilterProxyModel::mapToSource(const QModelIndex&) const
    {70, 375, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 79, 0},	//544 QSortFilterProxyModel::mapFromSource(const QModelIndex&) const
    {70, 377, 196, 1, Smoke::mf_const|Smoke::mf_virtual, 70, 0},	//545 QSortFilterProxyModel::mapSelectionToSource(const QItemSelection&) const
    {70, 376, 196, 1, Smoke::mf_const|Smoke::mf_virtual, 70, 0},	//546 QSortFilterProxyModel::mapSelectionFromSource(const QItemSelection&) const
    {70, 302, 62, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 195, 0},	//547 QSortFilterProxyModel::filterAcceptsColumn(int, const QModelIndex&) const
    {70, 373, 198, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 195, 0},	//548 QSortFilterProxyModel::lessThan(const QModelIndex&, const QModelIndex&) const
    {70, 325, 86, 3, Smoke::mf_const|Smoke::mf_virtual, 79, 0},	//549 QSortFilterProxyModel::index(int, int, const QModelIndex&) const
    {70, 405, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 79, 0},	//550 QSortFilterProxyModel::parent(const QModelIndex&) const
    {70, 436, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 240, 0},	//551 QSortFilterProxyModel::rowCount(const QModelIndex&) const
    {70, 250, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 240, 0},	//552 QSortFilterProxyModel::columnCount(const QModelIndex&) const
    {70, 315, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 195, 0},	//553 QSortFilterProxyModel::hasChildren(const QModelIndex&) const
    {70, 270, 79, 2, Smoke::mf_const|Smoke::mf_virtual, 96, 0},	//554 QSortFilterProxyModel::data(const QModelIndex&, int) const
    {70, 450, 90, 3, Smoke::mf_virtual, 195, 0},	//555 QSortFilterProxyModel::setData(const QModelIndex&, const QVariant&, int)
    {70, 316, 82, 3, Smoke::mf_const|Smoke::mf_virtual, 96, 0},	//556 QSortFilterProxyModel::headerData(int, Qt::Orientation, int) const
    {70, 452, 154, 4, Smoke::mf_virtual, 195, 0},	//557 QSortFilterProxyModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {70, 382, 162, 1, Smoke::mf_const|Smoke::mf_virtual, 78, 0},	//558 QSortFilterProxyModel::mimeData(const QList<QModelIndex>&) const
    {70, 291, 164, 5, Smoke::mf_virtual, 195, 0},	//559 QSortFilterProxyModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {70, 332, 86, 3, Smoke::mf_virtual, 195, 0},	//560 QSortFilterProxyModel::insertRows(int, int, const QModelIndex&)
    {70, 331, 86, 3, Smoke::mf_virtual, 195, 0},	//561 QSortFilterProxyModel::insertColumns(int, int, const QModelIndex&)
    {70, 429, 86, 3, Smoke::mf_virtual, 195, 0},	//562 QSortFilterProxyModel::removeRows(int, int, const QModelIndex&)
    {70, 426, 86, 3, Smoke::mf_virtual, 195, 0},	//563 QSortFilterProxyModel::removeColumns(int, int, const QModelIndex&)
    {70, 301, 77, 1, Smoke::mf_virtual, 0, 0},	//564 QSortFilterProxyModel::fetchMore(const QModelIndex&)
    {70, 230, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 195, 0},	//565 QSortFilterProxyModel::canFetchMore(const QModelIndex&) const
    {70, 305, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 64, 0},	//566 QSortFilterProxyModel::flags(const QModelIndex&) const
    {70, 227, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 79, 0},	//567 QSortFilterProxyModel::buddy(const QModelIndex&) const
    {70, 379, 173, 5, Smoke::mf_const|Smoke::mf_virtual, 75, 0},	//568 QSortFilterProxyModel::match(const QModelIndex&, int, const QVariant&, int, QFlags<Qt::MatchFlag>) const
    {70, 496, 77, 1, Smoke::mf_const|Smoke::mf_virtual, 89, 0},	//569 QSortFilterProxyModel::span(const QModelIndex&) const
    {70, 495, 170, 2, Smoke::mf_virtual, 0, 0},	//570 QSortFilterProxyModel::sort(int, Qt::SortOrder)
    {70, 384, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 91, 0},	//571 QSortFilterProxyModel::mimeTypes() const
    {70, 506, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 63, 0},	//572 QSortFilterProxyModel::supportedDropActions() const
    {76, 276, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 240, 0},	//573 QWidget::devType() const
    {76, 491, 27, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//574 QWidget::setVisible(bool)
    {76, 493, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 89, 0},	//575 QWidget::sizeHint() const
    {76, 385, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 89, 0},	//576 QWidget::minimumSizeHint() const
    {76, 319, 23, 1, Smoke::mf_const|Smoke::mf_virtual, 240, 0},	//577 QWidget::heightForWidth(int) const
    {76, 402, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 84, 0},	//578 QWidget::paintEngine() const
    {76, 297, 188, 1, Smoke::mf_protected|Smoke::mf_virtual, 195, 0},	//579 QWidget::event(QEvent*)
    {76, 388, 201, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//580 QWidget::mousePressEvent(QMouseEvent*)
    {76, 389, 201, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//581 QWidget::mouseReleaseEvent(QMouseEvent*)
    {76, 386, 201, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//582 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {76, 387, 201, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//583 QWidget::mouseMoveEvent(QMouseEvent*)
    {76, 536, 203, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//584 QWidget::wheelEvent(QWheelEvent*)
    {76, 369, 152, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//585 QWidget::keyPressEvent(QKeyEvent*)
    {76, 370, 152, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//586 QWidget::keyReleaseEvent(QKeyEvent*)
    {76, 307, 205, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//587 QWidget::focusInEvent(QFocusEvent*)
    {76, 309, 205, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//588 QWidget::focusOutEvent(QFocusEvent*)
    {76, 293, 188, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//589 QWidget::enterEvent(QEvent*)
    {76, 372, 188, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//590 QWidget::leaveEvent(QEvent*)
    {76, 403, 207, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//591 QWidget::paintEvent(QPaintEvent*)
    {76, 390, 209, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//592 QWidget::moveEvent(QMoveEvent*)
    {76, 430, 181, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//593 QWidget::resizeEvent(QResizeEvent*)
    {76, 240, 150, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//594 QWidget::closeEvent(QCloseEvent*)
    {76, 261, 183, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//595 QWidget::contextMenuEvent(QContextMenuEvent*)
    {76, 513, 211, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//596 QWidget::tabletEvent(QTabletEvent*)
    {76, 209, 213, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//597 QWidget::actionEvent(QActionEvent*)
    {76, 287, 215, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//598 QWidget::dragEnterEvent(QDragEnterEvent*)
    {76, 289, 217, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//599 QWidget::dragMoveEvent(QDragMoveEvent*)
    {76, 288, 219, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//600 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {76, 290, 221, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//601 QWidget::dropEvent(QDropEvent*)
    {76, 492, 179, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//602 QWidget::showEvent(QShowEvent*)
    {76, 320, 148, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//603 QWidget::hideEvent(QHideEvent*)
    {76, 539, 223, 1, Smoke::mf_protected|Smoke::mf_virtual, 195, 0},	//604 QWidget::x11Event(_XEvent*)
    {76, 232, 188, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//605 QWidget::changeEvent(QEvent*)
    {76, 381, 225, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 240, 0},	//606 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {76, 329, 227, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//607 QWidget::inputMethodEvent(QInputMethodEvent*)
    {76, 330, 229, 1, Smoke::mf_const|Smoke::mf_virtual, 96, 0},	//608 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {76, 308, 27, 1, Smoke::mf_protected|Smoke::mf_virtual, 195, 0},	//609 QWidget::focusNextPrevChild(bool)
    {76, 504, 231, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//610 QWidget::styleChange(QStyle&)
    {76, 292, 27, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//611 QWidget::enabledChange(bool)
    {76, 404, 233, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//612 QWidget::paletteChange(const QPalette&)
    {76, 310, 235, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//613 QWidget::fontChange(const QFont&)
    {76, 538, 27, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//614 QWidget::windowActivationChange(bool)
    {76, 371, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//615 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    382,  // Akonadi::Exception::Exception(const QByteArray&)
    384,  // Akonadi::Exception::Exception(const Akonadi::Exception&)
    0,
    381,  // Akonadi::Exception::Exception(const char*)
    383,  // Akonadi::Exception::Exception(const QString&)
    0,
    389,  // Akonadi::PayloadException::PayloadException(const QByteArray&)
    392,  // Akonadi::PayloadException::PayloadException(const Akonadi::PayloadException&)
    0,
    388,  // Akonadi::PayloadException::PayloadException(const char*)
    390,  // Akonadi::PayloadException::PayloadException(const QString&)
    0,
    375,  // Akonadi::Entity::Entity(const Akonadi::Entity&)
    376,  // Akonadi::Entity::Entity(Akonadi::EntityPrivate*)
    0,
    377,  // Akonadi::Entity::d_func()
    378,  // Akonadi::Entity::d_func() const
    0,
    366,  // Akonadi::Entity::parentCollection() const
    367,  // Akonadi::Entity::parentCollection()
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 4, 39},	// Akonadi::AgentBase::AgentBase#$
    {1, 5, 31},	// Akonadi::AgentBase::AgentBase$
    {1, 34, 47},	// Akonadi::AgentBase::Broken
    {1, 69, 45},	// Akonadi::AgentBase::Idle
    {1, 122, 46},	// Akonadi::AgentBase::Running
    {1, 206, 26},	// Akonadi::AgentBase::abortRequested
    {1, 207, 32},	// Akonadi::AgentBase::aboutToQuit
    {1, 218, 25},	// Akonadi::AgentBase::advancedStatus?
    {1, 220, 18},	// Akonadi::AgentBase::agentName
    {1, 222, 20},	// Akonadi::AgentBase::agentNameChanged$
    {1, 233, 35},	// Akonadi::AgentBase::changeProcessed
    {1, 234, 33},	// Akonadi::AgentBase::changeRecorder
    {1, 236, 15},	// Akonadi::AgentBase::cleanup
    {1, 252, 19},	// Akonadi::AgentBase::componentData
    {1, 253, 34},	// Akonadi::AgentBase::config
    {1, 254, 29},	// Akonadi::AgentBase::configurationDialogAccepted
    {1, 255, 30},	// Akonadi::AgentBase::configurationDialogRejected
    {1, 258, 12},	// Akonadi::AgentBase::configure$
    {1, 281, 40},	// Akonadi::AgentBase::doSetOnline$
    {1, 295, 24},	// Akonadi::AgentBase::error$
    {1, 324, 14},	// Akonadi::AgentBase::identifier
    {1, 353, 36},	// Akonadi::AgentBase::isOnline
    {1, 380, 1},	// Akonadi::AgentBase::metaObject
    {1, 393, 28},	// Akonadi::AgentBase::onlineChanged$
    {1, 410, 22},	// Akonadi::AgentBase::percent$
    {1, 411, 10},	// Akonadi::AgentBase::progress
    {1, 412, 11},	// Akonadi::AgentBase::progressMessage
    {1, 414, 7},	// Akonadi::AgentBase::qt_metacall$$?
    {1, 416, 2},	// Akonadi::AgentBase::qt_metacast$
    {1, 419, 16},	// Akonadi::AgentBase::registerObserver#
    {1, 421, 27},	// Akonadi::AgentBase::reloadConfiguration
    {1, 442, 17},	// Akonadi::AgentBase::setAgentName$
    {1, 467, 37},	// Akonadi::AgentBase::setNeedsNetwork$
    {1, 469, 38},	// Akonadi::AgentBase::setOnline$
    {1, 498, 44},	// Akonadi::AgentBase::staticMetaObject
    {1, 500, 8},	// Akonadi::AgentBase::status
    {1, 501, 43},	// Akonadi::AgentBase::status$
    {1, 502, 21},	// Akonadi::AgentBase::status$$
    {1, 503, 9},	// Akonadi::AgentBase::statusMessage
    {1, 516, 41},	// Akonadi::AgentBase::tr$
    {1, 517, 3},	// Akonadi::AgentBase::tr$$
    {1, 518, 5},	// Akonadi::AgentBase::tr$$$
    {1, 520, 42},	// Akonadi::AgentBase::trUtf8$
    {1, 521, 4},	// Akonadi::AgentBase::trUtf8$$
    {1, 522, 6},	// Akonadi::AgentBase::trUtf8$$$
    {1, 534, 23},	// Akonadi::AgentBase::warning$
    {1, 537, 13},	// Akonadi::AgentBase::winIdForDialogs
    {1, 540, 48},	// Akonadi::AgentBase::~AgentBase
    {2, 103, 49},	// Akonadi::AgentBase::Observer::Observer
    {2, 104, 56},	// Akonadi::AgentBase::Observer::Observer#
    {2, 242, 53},	// Akonadi::AgentBase::Observer::collectionAdded##
    {2, 244, 54},	// Akonadi::AgentBase::Observer::collectionChanged#
    {2, 249, 55},	// Akonadi::AgentBase::Observer::collectionRemoved#
    {2, 357, 50},	// Akonadi::AgentBase::Observer::itemAdded##
    {2, 359, 51},	// Akonadi::AgentBase::Observer::itemChanged#?
    {2, 366, 52},	// Akonadi::AgentBase::Observer::itemRemoved#
    {2, 557, 57},	// Akonadi::AgentBase::Observer::~Observer
    {3, 105, 64},	// Akonadi::AgentBase::ObserverV2::ObserverV2
    {3, 106, 65},	// Akonadi::AgentBase::ObserverV2::ObserverV2#
    {3, 244, 58},	// Akonadi::AgentBase::ObserverV2::collectionChanged#
    {3, 245, 63},	// Akonadi::AgentBase::ObserverV2::collectionChanged#?
    {3, 247, 62},	// Akonadi::AgentBase::ObserverV2::collectionMoved###
    {3, 362, 60},	// Akonadi::AgentBase::ObserverV2::itemLinked##
    {3, 364, 59},	// Akonadi::AgentBase::ObserverV2::itemMoved###
    {3, 368, 61},	// Akonadi::AgentBase::ObserverV2::itemUnlinked##
    {3, 558, 66},	// Akonadi::AgentBase::ObserverV2::~ObserverV2
    {5, 6, 82},	// Akonadi::AgentFilterProxyModel::AgentFilterProxyModel
    {5, 7, 74},	// Akonadi::AgentFilterProxyModel::AgentFilterProxyModel#
    {5, 214, 76},	// Akonadi::AgentFilterProxyModel::addCapabilityFilter$
    {5, 216, 75},	// Akonadi::AgentFilterProxyModel::addMimeTypeFilter$
    {5, 238, 77},	// Akonadi::AgentFilterProxyModel::clearFilters
    {5, 300, 78},	// Akonadi::AgentFilterProxyModel::excludeCapabilities$
    {5, 304, 79},	// Akonadi::AgentFilterProxyModel::filterAcceptsRow$#
    {5, 380, 67},	// Akonadi::AgentFilterProxyModel::metaObject
    {5, 414, 73},	// Akonadi::AgentFilterProxyModel::qt_metacall$$?
    {5, 416, 68},	// Akonadi::AgentFilterProxyModel::qt_metacast$
    {5, 498, 83},	// Akonadi::AgentFilterProxyModel::staticMetaObject
    {5, 516, 80},	// Akonadi::AgentFilterProxyModel::tr$
    {5, 517, 69},	// Akonadi::AgentFilterProxyModel::tr$$
    {5, 518, 71},	// Akonadi::AgentFilterProxyModel::tr$$$
    {5, 520, 81},	// Akonadi::AgentFilterProxyModel::trUtf8$
    {5, 521, 70},	// Akonadi::AgentFilterProxyModel::trUtf8$$
    {5, 522, 72},	// Akonadi::AgentFilterProxyModel::trUtf8$$$
    {5, 541, 84},	// Akonadi::AgentFilterProxyModel::~AgentFilterProxyModel
    {6, 8, 85},	// Akonadi::AgentInstance::AgentInstance
    {6, 9, 86},	// Akonadi::AgentInstance::AgentInstance#
    {6, 34, 108},	// Akonadi::AgentInstance::Broken
    {6, 69, 106},	// Akonadi::AgentInstance::Idle
    {6, 122, 107},	// Akonadi::AgentInstance::Running
    {6, 205, 102},	// Akonadi::AgentInstance::abortCurrentTask
    {6, 256, 105},	// Akonadi::AgentInstance::configure
    {6, 257, 97},	// Akonadi::AgentInstance::configure#
    {6, 324, 89},	// Akonadi::AgentInstance::identifier
    {6, 353, 95},	// Akonadi::AgentInstance::isOnline
    {6, 354, 87},	// Akonadi::AgentInstance::isValid
    {6, 391, 90},	// Akonadi::AgentInstance::name
    {6, 399, 100},	// Akonadi::AgentInstance::operator=#
    {6, 401, 101},	// Akonadi::AgentInstance::operator==#
    {6, 411, 94},	// Akonadi::AgentInstance::progress
    {6, 417, 103},	// Akonadi::AgentInstance::reconfigure
    {6, 432, 104},	// Akonadi::AgentInstance::restart
    {6, 460, 96},	// Akonadi::AgentInstance::setIsOnline$
    {6, 465, 91},	// Akonadi::AgentInstance::setName$
    {6, 500, 92},	// Akonadi::AgentInstance::status
    {6, 503, 93},	// Akonadi::AgentInstance::statusMessage
    {6, 508, 98},	// Akonadi::AgentInstance::synchronize
    {6, 512, 99},	// Akonadi::AgentInstance::synchronizeCollectionTree
    {6, 523, 88},	// Akonadi::AgentInstance::type
    {6, 542, 109},	// Akonadi::AgentInstance::~AgentInstance
    {7, 11, 124},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob#
    {7, 12, 117},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob##
    {7, 13, 125},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob$
    {7, 14, 118},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob$#
    {7, 256, 126},	// Akonadi::AgentInstanceCreateJob::configure
    {7, 257, 119},	// Akonadi::AgentInstanceCreateJob::configure#
    {7, 333, 120},	// Akonadi::AgentInstanceCreateJob::instance
    {7, 380, 110},	// Akonadi::AgentInstanceCreateJob::metaObject
    {7, 414, 116},	// Akonadi::AgentInstanceCreateJob::qt_metacall$$?
    {7, 416, 111},	// Akonadi::AgentInstanceCreateJob::qt_metacast$
    {7, 497, 121},	// Akonadi::AgentInstanceCreateJob::start
    {7, 498, 127},	// Akonadi::AgentInstanceCreateJob::staticMetaObject
    {7, 516, 122},	// Akonadi::AgentInstanceCreateJob::tr$
    {7, 517, 112},	// Akonadi::AgentInstanceCreateJob::tr$$
    {7, 518, 114},	// Akonadi::AgentInstanceCreateJob::tr$$$
    {7, 520, 123},	// Akonadi::AgentInstanceCreateJob::trUtf8$
    {7, 521, 113},	// Akonadi::AgentInstanceCreateJob::trUtf8$$
    {7, 522, 115},	// Akonadi::AgentInstanceCreateJob::trUtf8$$$
    {7, 543, 128},	// Akonadi::AgentInstanceCreateJob::~AgentInstanceCreateJob
    {8, 15, 147},	// Akonadi::AgentInstanceModel::AgentInstanceModel
    {8, 16, 136},	// Akonadi::AgentInstanceModel::AgentInstanceModel#
    {8, 47, 158},	// Akonadi::AgentInstanceModel::CapabilitiesRole
    {8, 54, 156},	// Akonadi::AgentInstanceModel::DescriptionRole
    {8, 71, 160},	// Akonadi::AgentInstanceModel::InstanceIdentifierRole
    {8, 72, 159},	// Akonadi::AgentInstanceModel::InstanceRole
    {8, 95, 157},	// Akonadi::AgentInstanceModel::MimeTypesRole
    {8, 108, 164},	// Akonadi::AgentInstanceModel::OnlineRole
    {8, 112, 163},	// Akonadi::AgentInstanceModel::ProgressRole
    {8, 123, 162},	// Akonadi::AgentInstanceModel::StatusMessageRole
    {8, 124, 161},	// Akonadi::AgentInstanceModel::StatusRole
    {8, 127, 155},	// Akonadi::AgentInstanceModel::TypeIdentifierRole
    {8, 128, 154},	// Akonadi::AgentInstanceModel::TypeRole
    {8, 135, 165},	// Akonadi::AgentInstanceModel::UserRole
    {8, 250, 148},	// Akonadi::AgentInstanceModel::columnCount
    {8, 251, 137},	// Akonadi::AgentInstanceModel::columnCount#
    {8, 271, 150},	// Akonadi::AgentInstanceModel::data#
    {8, 272, 139},	// Akonadi::AgentInstanceModel::data#$
    {8, 306, 143},	// Akonadi::AgentInstanceModel::flags#
    {8, 317, 151},	// Akonadi::AgentInstanceModel::headerData$$
    {8, 318, 140},	// Akonadi::AgentInstanceModel::headerData$$$
    {8, 326, 152},	// Akonadi::AgentInstanceModel::index$$
    {8, 327, 141},	// Akonadi::AgentInstanceModel::index$$#
    {8, 380, 129},	// Akonadi::AgentInstanceModel::metaObject
    {8, 406, 142},	// Akonadi::AgentInstanceModel::parent#
    {8, 414, 135},	// Akonadi::AgentInstanceModel::qt_metacall$$?
    {8, 416, 130},	// Akonadi::AgentInstanceModel::qt_metacast$
    {8, 436, 149},	// Akonadi::AgentInstanceModel::rowCount
    {8, 437, 138},	// Akonadi::AgentInstanceModel::rowCount#
    {8, 451, 144},	// Akonadi::AgentInstanceModel::setData##$
    {8, 498, 153},	// Akonadi::AgentInstanceModel::staticMetaObject
    {8, 516, 145},	// Akonadi::AgentInstanceModel::tr$
    {8, 517, 131},	// Akonadi::AgentInstanceModel::tr$$
    {8, 518, 133},	// Akonadi::AgentInstanceModel::tr$$$
    {8, 520, 146},	// Akonadi::AgentInstanceModel::trUtf8$
    {8, 521, 132},	// Akonadi::AgentInstanceModel::trUtf8$$
    {8, 522, 134},	// Akonadi::AgentInstanceModel::trUtf8$$$
    {8, 544, 166},	// Akonadi::AgentInstanceModel::~AgentInstanceModel
    {9, 17, 183},	// Akonadi::AgentInstanceWidget::AgentInstanceWidget
    {9, 18, 174},	// Akonadi::AgentInstanceWidget::AgentInstanceWidget#
    {9, 219, 177},	// Akonadi::AgentInstanceWidget::agentFilterProxyModel
    {9, 264, 175},	// Akonadi::AgentInstanceWidget::currentAgentInstance
    {9, 267, 179},	// Akonadi::AgentInstanceWidget::currentChanged##
    {9, 286, 180},	// Akonadi::AgentInstanceWidget::doubleClicked#
    {9, 380, 167},	// Akonadi::AgentInstanceWidget::metaObject
    {9, 414, 173},	// Akonadi::AgentInstanceWidget::qt_metacall$$?
    {9, 416, 168},	// Akonadi::AgentInstanceWidget::qt_metacast$
    {9, 438, 176},	// Akonadi::AgentInstanceWidget::selectedAgentInstances
    {9, 498, 184},	// Akonadi::AgentInstanceWidget::staticMetaObject
    {9, 516, 181},	// Akonadi::AgentInstanceWidget::tr$
    {9, 517, 169},	// Akonadi::AgentInstanceWidget::tr$$
    {9, 518, 171},	// Akonadi::AgentInstanceWidget::tr$$$
    {9, 520, 182},	// Akonadi::AgentInstanceWidget::trUtf8$
    {9, 521, 170},	// Akonadi::AgentInstanceWidget::trUtf8$$
    {9, 522, 172},	// Akonadi::AgentInstanceWidget::trUtf8$$$
    {9, 532, 178},	// Akonadi::AgentInstanceWidget::view
    {9, 545, 185},	// Akonadi::AgentInstanceWidget::~AgentInstanceWidget
    {10, 334, 197},	// Akonadi::AgentManager::instance$
    {10, 336, 203},	// Akonadi::AgentManager::instanceAdded#
    {10, 338, 208},	// Akonadi::AgentManager::instanceError#$
    {10, 340, 207},	// Akonadi::AgentManager::instanceNameChanged#
    {10, 342, 210},	// Akonadi::AgentManager::instanceOnline#$
    {10, 344, 206},	// Akonadi::AgentManager::instanceProgressChanged#
    {10, 346, 204},	// Akonadi::AgentManager::instanceRemoved#
    {10, 348, 205},	// Akonadi::AgentManager::instanceStatusChanged#
    {10, 350, 209},	// Akonadi::AgentManager::instanceWarning#$
    {10, 351, 196},	// Akonadi::AgentManager::instances
    {10, 380, 186},	// Akonadi::AgentManager::metaObject
    {10, 414, 192},	// Akonadi::AgentManager::qt_metacall$$?
    {10, 416, 187},	// Akonadi::AgentManager::qt_metacast$
    {10, 428, 198},	// Akonadi::AgentManager::removeInstance#
    {10, 439, 193},	// Akonadi::AgentManager::self
    {10, 498, 213},	// Akonadi::AgentManager::staticMetaObject
    {10, 510, 199},	// Akonadi::AgentManager::synchronizeCollection#
    {10, 511, 200},	// Akonadi::AgentManager::synchronizeCollection#$
    {10, 516, 211},	// Akonadi::AgentManager::tr$
    {10, 517, 188},	// Akonadi::AgentManager::tr$$
    {10, 518, 190},	// Akonadi::AgentManager::tr$$$
    {10, 520, 212},	// Akonadi::AgentManager::trUtf8$
    {10, 521, 189},	// Akonadi::AgentManager::trUtf8$$
    {10, 522, 191},	// Akonadi::AgentManager::trUtf8$$$
    {10, 524, 195},	// Akonadi::AgentManager::type$
    {10, 526, 201},	// Akonadi::AgentManager::typeAdded#
    {10, 528, 202},	// Akonadi::AgentManager::typeRemoved#
    {10, 529, 194},	// Akonadi::AgentManager::types
    {10, 546, 214},	// Akonadi::AgentManager::~AgentManager
    {11, 19, 215},	// Akonadi::AgentType::AgentType
    {11, 20, 216},	// Akonadi::AgentType::AgentType#
    {11, 231, 224},	// Akonadi::AgentType::capabilities
    {11, 273, 220},	// Akonadi::AgentType::description
    {11, 321, 222},	// Akonadi::AgentType::icon
    {11, 322, 221},	// Akonadi::AgentType::iconName
    {11, 324, 218},	// Akonadi::AgentType::identifier
    {11, 354, 217},	// Akonadi::AgentType::isValid
    {11, 384, 223},	// Akonadi::AgentType::mimeTypes
    {11, 391, 219},	// Akonadi::AgentType::name
    {11, 399, 225},	// Akonadi::AgentType::operator=#
    {11, 401, 226},	// Akonadi::AgentType::operator==#
    {11, 547, 227},	// Akonadi::AgentType::~AgentType
    {12, 21, 241},	// Akonadi::AgentTypeDialog::AgentTypeDialog
    {12, 22, 235},	// Akonadi::AgentTypeDialog::AgentTypeDialog#
    {12, 219, 237},	// Akonadi::AgentTypeDialog::agentFilterProxyModel
    {12, 223, 236},	// Akonadi::AgentTypeDialog::agentType
    {12, 284, 238},	// Akonadi::AgentTypeDialog::done$
    {12, 380, 228},	// Akonadi::AgentTypeDialog::metaObject
    {12, 414, 234},	// Akonadi::AgentTypeDialog::qt_metacall$$?
    {12, 416, 229},	// Akonadi::AgentTypeDialog::qt_metacast$
    {12, 498, 242},	// Akonadi::AgentTypeDialog::staticMetaObject
    {12, 516, 239},	// Akonadi::AgentTypeDialog::tr$
    {12, 517, 230},	// Akonadi::AgentTypeDialog::tr$$
    {12, 518, 232},	// Akonadi::AgentTypeDialog::tr$$$
    {12, 520, 240},	// Akonadi::AgentTypeDialog::trUtf8$
    {12, 521, 231},	// Akonadi::AgentTypeDialog::trUtf8$$
    {12, 522, 233},	// Akonadi::AgentTypeDialog::trUtf8$$$
    {12, 548, 243},	// Akonadi::AgentTypeDialog::~AgentTypeDialog
    {13, 23, 260},	// Akonadi::AgentTypeModel::AgentTypeModel
    {13, 24, 251},	// Akonadi::AgentTypeModel::AgentTypeModel#
    {13, 47, 270},	// Akonadi::AgentTypeModel::CapabilitiesRole
    {13, 54, 268},	// Akonadi::AgentTypeModel::DescriptionRole
    {13, 68, 267},	// Akonadi::AgentTypeModel::IdentifierRole
    {13, 95, 269},	// Akonadi::AgentTypeModel::MimeTypesRole
    {13, 128, 266},	// Akonadi::AgentTypeModel::TypeRole
    {13, 135, 271},	// Akonadi::AgentTypeModel::UserRole
    {13, 250, 261},	// Akonadi::AgentTypeModel::columnCount
    {13, 251, 252},	// Akonadi::AgentTypeModel::columnCount#
    {13, 271, 263},	// Akonadi::AgentTypeModel::data#
    {13, 272, 254},	// Akonadi::AgentTypeModel::data#$
    {13, 306, 257},	// Akonadi::AgentTypeModel::flags#
    {13, 326, 264},	// Akonadi::AgentTypeModel::index$$
    {13, 327, 255},	// Akonadi::AgentTypeModel::index$$#
    {13, 380, 244},	// Akonadi::AgentTypeModel::metaObject
    {13, 406, 256},	// Akonadi::AgentTypeModel::parent#
    {13, 414, 250},	// Akonadi::AgentTypeModel::qt_metacall$$?
    {13, 416, 245},	// Akonadi::AgentTypeModel::qt_metacast$
    {13, 436, 262},	// Akonadi::AgentTypeModel::rowCount
    {13, 437, 253},	// Akonadi::AgentTypeModel::rowCount#
    {13, 498, 265},	// Akonadi::AgentTypeModel::staticMetaObject
    {13, 516, 258},	// Akonadi::AgentTypeModel::tr$
    {13, 517, 246},	// Akonadi::AgentTypeModel::tr$$
    {13, 518, 248},	// Akonadi::AgentTypeModel::tr$$$
    {13, 520, 259},	// Akonadi::AgentTypeModel::trUtf8$
    {13, 521, 247},	// Akonadi::AgentTypeModel::trUtf8$$
    {13, 522, 249},	// Akonadi::AgentTypeModel::trUtf8$$$
    {13, 549, 272},	// Akonadi::AgentTypeModel::~AgentTypeModel
    {14, 25, 287},	// Akonadi::AgentTypeWidget::AgentTypeWidget
    {14, 26, 280},	// Akonadi::AgentTypeWidget::AgentTypeWidget#
    {14, 210, 284},	// Akonadi::AgentTypeWidget::activated
    {14, 219, 282},	// Akonadi::AgentTypeWidget::agentFilterProxyModel
    {14, 265, 281},	// Akonadi::AgentTypeWidget::currentAgentType
    {14, 267, 283},	// Akonadi::AgentTypeWidget::currentChanged##
    {14, 380, 273},	// Akonadi::AgentTypeWidget::metaObject
    {14, 414, 279},	// Akonadi::AgentTypeWidget::qt_metacall$$?
    {14, 416, 274},	// Akonadi::AgentTypeWidget::qt_metacast$
    {14, 498, 288},	// Akonadi::AgentTypeWidget::staticMetaObject
    {14, 516, 285},	// Akonadi::AgentTypeWidget::tr$
    {14, 517, 275},	// Akonadi::AgentTypeWidget::tr$$
    {14, 518, 277},	// Akonadi::AgentTypeWidget::tr$$$
    {14, 520, 286},	// Akonadi::AgentTypeWidget::trUtf8$
    {14, 521, 276},	// Akonadi::AgentTypeWidget::trUtf8$$
    {14, 522, 278},	// Akonadi::AgentTypeWidget::trUtf8$$$
    {14, 550, 289},	// Akonadi::AgentTypeWidget::~AgentTypeWidget
    {15, 30, 294},	// Akonadi::Attribute::Attribute
    {15, 31, 295},	// Akonadi::Attribute::Attribute#
    {15, 239, 291},	// Akonadi::Attribute::clone
    {15, 275, 293},	// Akonadi::Attribute::deserialize#
    {15, 440, 292},	// Akonadi::Attribute::serialized
    {15, 523, 290},	// Akonadi::Attribute::type
    {15, 551, 296},	// Akonadi::Attribute::~Attribute
    {16, 32, 298},	// Akonadi::AttributeFactory::AttributeFactory
    {16, 33, 299},	// Akonadi::AttributeFactory::AttributeFactory#
    {16, 263, 297},	// Akonadi::AttributeFactory::createAttribute#
    {16, 552, 300},	// Akonadi::AttributeFactory::~AttributeFactory
    {17, 36, 301},	// Akonadi::CachePolicy::CachePolicy
    {17, 37, 302},	// Akonadi::CachePolicy::CachePolicy#
    {17, 229, 307},	// Akonadi::CachePolicy::cacheTimeout
    {17, 328, 303},	// Akonadi::CachePolicy::inheritFromParent
    {17, 352, 309},	// Akonadi::CachePolicy::intervalCheckTime
    {17, 374, 305},	// Akonadi::CachePolicy::localParts
    {17, 399, 313},	// Akonadi::CachePolicy::operator=#
    {17, 401, 314},	// Akonadi::CachePolicy::operator==#
    {17, 446, 308},	// Akonadi::CachePolicy::setCacheTimeout$
    {17, 456, 304},	// Akonadi::CachePolicy::setInheritFromParent$
    {17, 458, 310},	// Akonadi::CachePolicy::setIntervalCheckTime$
    {17, 463, 306},	// Akonadi::CachePolicy::setLocalParts?
    {17, 490, 312},	// Akonadi::CachePolicy::setSyncOnDemand$
    {17, 507, 311},	// Akonadi::CachePolicy::syncOnDemand
    {17, 553, 315},	// Akonadi::CachePolicy::~CachePolicy
    {19, 27, 351},	// Akonadi::Collection::AllRights
    {19, 38, 346},	// Akonadi::Collection::CanChangeCollection
    {19, 39, 343},	// Akonadi::Collection::CanChangeItem
    {19, 40, 347},	// Akonadi::Collection::CanCreateCollection
    {19, 41, 344},	// Akonadi::Collection::CanCreateItem
    {19, 42, 348},	// Akonadi::Collection::CanDeleteCollection
    {19, 43, 345},	// Akonadi::Collection::CanDeleteItem
    {19, 44, 349},	// Akonadi::Collection::CanLinkItem
    {19, 45, 350},	// Akonadi::Collection::CanUnlinkItem
    {19, 49, 316},	// Akonadi::Collection::Collection
    {19, 50, 318},	// Akonadi::Collection::Collection#
    {19, 51, 317},	// Akonadi::Collection::Collection$
    {19, 119, 342},	// Akonadi::Collection::ReadOnly
    {19, 129, 352},	// Akonadi::Collection::UrlShort
    {19, 130, 353},	// Akonadi::Collection::UrlWithName
    {19, 228, 335},	// Akonadi::Collection::cachePolicy
    {19, 260, 324},	// Akonadi::Collection::contentMimeTypes
    {19, 312, 319},	// Akonadi::Collection::fromUrl#
    {19, 355, 341},	// Akonadi::Collection::isVirtual
    {19, 383, 332},	// Akonadi::Collection::mimeType
    {19, 391, 320},	// Akonadi::Collection::name
    {19, 405, 326},	// Akonadi::Collection::parent
    {19, 408, 329},	// Akonadi::Collection::parentRemoteId
    {19, 431, 333},	// Akonadi::Collection::resource
    {19, 434, 322},	// Akonadi::Collection::rights
    {19, 435, 331},	// Akonadi::Collection::root
    {19, 444, 336},	// Akonadi::Collection::setCachePolicy#
    {19, 449, 325},	// Akonadi::Collection::setContentMimeTypes?
    {19, 465, 321},	// Akonadi::Collection::setName$
    {19, 471, 328},	// Akonadi::Collection::setParent#
    {19, 472, 327},	// Akonadi::Collection::setParent$
    {19, 476, 330},	// Akonadi::Collection::setParentRemoteId$
    {19, 483, 334},	// Akonadi::Collection::setResource$
    {19, 485, 323},	// Akonadi::Collection::setRights$
    {19, 488, 338},	// Akonadi::Collection::setStatistics#
    {19, 499, 337},	// Akonadi::Collection::statistics
    {19, 530, 339},	// Akonadi::Collection::url
    {19, 531, 340},	// Akonadi::Collection::url$
    {19, 554, 354},	// Akonadi::Collection::~Collection
    {21, 2, 379},	// Akonadi::Entity::AddIfMissing
    {21, 61, -13},	// Akonadi::Entity::Entity#
    {21, 212, 369},	// Akonadi::Entity::addAttribute#
    {21, 225, 374},	// Akonadi::Entity::attribute#
    {21, 226, 372},	// Akonadi::Entity::attributes
    {21, 237, 373},	// Akonadi::Entity::clearAttributes
    {21, 269, -16},	// Akonadi::Entity::d_func
    {21, 314, 371},	// Akonadi::Entity::hasAttribute#
    {21, 323, 356},	// Akonadi::Entity::id
    {21, 354, 361},	// Akonadi::Entity::isValid
    {21, 395, 363},	// Akonadi::Entity::operator!=#
    {21, 397, 365},	// Akonadi::Entity::operator<#
    {21, 399, 364},	// Akonadi::Entity::operator=#
    {21, 401, 362},	// Akonadi::Entity::operator==#
    {21, 407, -19},	// Akonadi::Entity::parentCollection
    {21, 422, 358},	// Akonadi::Entity::remoteId
    {21, 423, 360},	// Akonadi::Entity::remoteRevision
    {21, 425, 370},	// Akonadi::Entity::removeAttribute#
    {21, 454, 355},	// Akonadi::Entity::setId$
    {21, 474, 368},	// Akonadi::Entity::setParentCollection#
    {21, 479, 357},	// Akonadi::Entity::setRemoteId$
    {21, 481, 359},	// Akonadi::Entity::setRemoteRevision$
    {21, 555, 380},	// Akonadi::Entity::~Entity
    {23, 63, -1},	// Akonadi::Exception::Exception#
    {23, 64, -4},	// Akonadi::Exception::Exception$
    {23, 523, 386},	// Akonadi::Exception::type
    {23, 535, 385},	// Akonadi::Exception::what
    {23, 556, 387},	// Akonadi::Exception::~Exception
    {25, 110, -7},	// Akonadi::PayloadException::PayloadException#
    {25, 111, -10},	// Akonadi::PayloadException::PayloadException$
    {25, 523, 391},	// Akonadi::PayloadException::type
    {25, 559, 393},	// Akonadi::PayloadException::~PayloadException
    {51, 76, 514},	// QGlobalSpace::LicensedActiveQt
    {51, 77, 520},	// QGlobalSpace::LicensedCore
    {51, 78, 512},	// QGlobalSpace::LicensedDBus
    {51, 79, 517},	// QGlobalSpace::LicensedDeclarative
    {51, 80, 507},	// QGlobalSpace::LicensedGui
    {51, 81, 526},	// QGlobalSpace::LicensedHelp
    {51, 82, 527},	// QGlobalSpace::LicensedMultimedia
    {51, 83, 530},	// QGlobalSpace::LicensedNetwork
    {51, 84, 519},	// QGlobalSpace::LicensedOpenGL
    {51, 85, 511},	// QGlobalSpace::LicensedOpenVG
    {51, 86, 528},	// QGlobalSpace::LicensedQt3Support
    {51, 87, 509},	// QGlobalSpace::LicensedQt3SupportLight
    {51, 88, 510},	// QGlobalSpace::LicensedScript
    {51, 89, 515},	// QGlobalSpace::LicensedScriptTools
    {51, 90, 518},	// QGlobalSpace::LicensedSql
    {51, 91, 516},	// QGlobalSpace::LicensedSvg
    {51, 92, 513},	// QGlobalSpace::LicensedTest
    {51, 93, 508},	// QGlobalSpace::LicensedXml
    {51, 94, 529},	// QGlobalSpace::LicensedXmlPatterns
    {51, 113, 523},	// QGlobalSpace::QtCriticalMsg
    {51, 114, 521},	// QGlobalSpace::QtDebugMsg
    {51, 115, 524},	// QGlobalSpace::QtFatalMsg
    {51, 116, 525},	// QGlobalSpace::QtSystemMsg
    {51, 117, 522},	// QGlobalSpace::QtWarningMsg
    {51, 137, 445},	// QGlobalSpace::_CS_GNU_LIBC_VERSION
    {51, 138, 446},	// QGlobalSpace::_CS_GNU_LIBPTHREAD_VERSION
    {51, 139, 455},	// QGlobalSpace::_CS_LFS64_CFLAGS
    {51, 140, 456},	// QGlobalSpace::_CS_LFS64_LDFLAGS
    {51, 141, 457},	// QGlobalSpace::_CS_LFS64_LIBS
    {51, 142, 458},	// QGlobalSpace::_CS_LFS64_LINTFLAGS
    {51, 143, 451},	// QGlobalSpace::_CS_LFS_CFLAGS
    {51, 144, 452},	// QGlobalSpace::_CS_LFS_LDFLAGS
    {51, 145, 453},	// QGlobalSpace::_CS_LFS_LIBS
    {51, 146, 454},	// QGlobalSpace::_CS_LFS_LINTFLAGS
    {51, 147, 447},	// QGlobalSpace::_CS_LIBDIR
    {51, 148, 443},	// QGlobalSpace::_CS_PATH
    {51, 149, 475},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_CFLAGS
    {51, 150, 476},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LDFLAGS
    {51, 151, 477},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LIBS
    {51, 152, 478},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS
    {51, 153, 479},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS
    {51, 154, 480},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS
    {51, 155, 481},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LIBS
    {51, 156, 482},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS
    {51, 157, 483},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_CFLAGS
    {51, 158, 484},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LDFLAGS
    {51, 159, 485},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LIBS
    {51, 160, 486},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LINTFLAGS
    {51, 161, 487},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS
    {51, 162, 488},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS
    {51, 163, 489},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LIBS
    {51, 164, 490},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS
    {51, 165, 491},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_CFLAGS
    {51, 166, 492},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LDFLAGS
    {51, 167, 493},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LIBS
    {51, 168, 494},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS
    {51, 169, 495},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS
    {51, 170, 496},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS
    {51, 171, 497},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LIBS
    {51, 172, 498},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS
    {51, 173, 499},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_CFLAGS
    {51, 174, 500},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LDFLAGS
    {51, 175, 501},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LIBS
    {51, 176, 502},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LINTFLAGS
    {51, 177, 503},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS
    {51, 178, 504},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS
    {51, 179, 505},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LIBS
    {51, 180, 506},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS
    {51, 181, 448},	// QGlobalSpace::_CS_SLIB
    {51, 182, 449},	// QGlobalSpace::_CS_V5_WIDTH_RESTRICTED_ENVS
    {51, 183, 444},	// QGlobalSpace::_CS_V6_WIDTH_RESTRICTED_ENVS
    {51, 184, 450},	// QGlobalSpace::_CS_V7_WIDTH_RESTRICTED_ENVS
    {51, 185, 459},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_CFLAGS
    {51, 186, 460},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_LDFLAGS
    {51, 187, 461},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_LIBS
    {51, 188, 462},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_LINTFLAGS
    {51, 189, 463},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_CFLAGS
    {51, 190, 464},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LDFLAGS
    {51, 191, 465},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LIBS
    {51, 192, 466},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LINTFLAGS
    {51, 193, 467},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_CFLAGS
    {51, 194, 468},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_LDFLAGS
    {51, 195, 469},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_LIBS
    {51, 196, 470},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_LINTFLAGS
    {51, 197, 471},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_CFLAGS
    {51, 198, 472},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LDFLAGS
    {51, 199, 473},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LIBS
    {51, 200, 474},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS
    {51, 201, 533},	// QGlobalSpace::__codecvt_error
    {51, 202, 534},	// QGlobalSpace::__codecvt_noconv
    {51, 203, 531},	// QGlobalSpace::__codecvt_ok
    {51, 204, 532},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_kdecore_Smoke();
SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *akonadi_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_akonadi_Smoke() {
    init_kdecore_Smoke();
    init_kdeui_Smoke();
    if (initialized) return;
    akonadi_Smoke = new Smoke(
        "akonadi",
        __smokeakonadi::classes, 79,
        __smokeakonadi::methods, 616,
        __smokeakonadi::methodMaps, 479,
        __smokeakonadi::methodNames, 559,
        __smokeakonadi::types, 248,
        __smokeakonadi::inheritanceList,
        __smokeakonadi::argumentList,
        __smokeakonadi::ambiguousMethodList,
        __smokeakonadi::cast );
    initialized = true;
}

void delete_akonadi_Smoke() { delete akonadi_Smoke; }

}
